#coding: UTF-8

opts_list = {
  u'一般' : { 'description' : u"このページからMySQLサーバの一般的なパラメータを設定することができます。",
                   'position' : 1,
                   'groups':(  {'caption' : u"ネットワーク",
                                'controls':
                                  (
                                    {
                                      'description' : u"接続に使うポート番号。",
                                      'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                      'default' : "3306",
                                      'caption' : u"TCPポート：",
                                      'type' : "numeric",
                                      'name' : "port"
                                    },
                                    {
                                      'description' : u"TCP/IPでの接続を拒否する。",
                                      'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                      'default' : "Unchecked",
                                      'caption' : u"ネットワークを無効にする",
                                      'type' : "boolean",
                                      'name' : "skip-networking"
                                    },
                                    {
                                      'description' : u"名前付きパイプをサポートする。",
                                      'versions' : ((5, 0), (5, 1), (5, 4), (6, 0)),
                                      'default' : "",
                                      'caption' : u"名前付きパイプを有効にする：",
                                      'type' : "boolean",
                                      'name' : "enable-named-pipe"
                                    }
                                  ) #End of controls list in group Networking
                                } #End of group Networking
                              ,{'caption' : u"ディレクトリ",
                                'controls':
                                  (
                                    {
                                      'description' : u"インストレーションディレクトリのパス。すべてのパスはこのパスからの相対パスになります。",
                                      'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                      'default' : "",
                                      'caption' : u"ベースディレクトリ：",
                                      'type' : "filename",
                                      'name' : "basedir"
                                    },
                                    {
                                      'description' : u"データベースルートへのパス。",
                                      'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                      'default' : "",
                                      'caption' : u"データ辞書：",
                                      'type' : "filename",
                                      'name' : "datadir"
                                    },
                                    {
                                      'description' : u"作業ディレクトリのパス",
                                      'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (6, 0)),
                                      'default' : "",
                                      'caption' : u"作業ディレクトリ：",
                                      'type' : "filename",
                                      'name' : "tmpdir"
                                    }
                                  ) #End of controls list in group Directories
                                } #End of group Directories
                              ,{'caption' : u"メモリ利用量",
                                'controls':
                                  (
                                    {
                                      'name' : "sort_buffer_size",
                                      'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                      'default' : "2M",
                                      'bitsize' : "32",
                                      'maximum' : "4294967295",
                                      'unitcontrol' : " ;K;M;G",
                                      'caption' : u"ソートバッファサイズ",
                                      'type' : "numeric",
                                      'description' : u"ソートを行うスレッド毎にこのサイズのバッファを確保します。"
                                    }
                                   ,
                                  ) #End of controls list in group Memory usage
                                } #End of group Memory usage
                              ,{'caption' : u"一般",
                                'controls':
                                  (
                                    {
                                      'name' : "console",
                                      'caption' : u"コンソール",
                                      'default' : "OFF",
                                      'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                      'type' : "boolean",
                                      'description' : "console"
                                    },
                                    {
                                      'description' : "datetime_format",
                                      'caption' : u"日時型",
                                      'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                      'type' : "string",
                                      'name' : "datetime_format"
                                    },
                                    {
                                      'description' : "debug-sync-timeout",
                                      'caption' : u"デバッグ同期タイムアウト",
                                      'versions' : ((5, 1, 41), (5, 5), (6, 0, 6)),
                                      'type' : "numeric",
                                      'name' : "debug-sync-timeout"
                                    },
                                    {
                                      'description' : u"SQL-Create文でストレージエンジン／テーブルが指定されていない場合に使うストレージエンジン。",
                                      'versions' : ((4, 1, 2), (5, 0), (5, 1), (5, 4), (6, 0)),
                                      'default' : "myisam",
                                      'choices' : "engine-list",
                                      'caption' : u"既定ストレージエンジン：",
                                      'type' : "dropdownboxentry",
                                      'name' : "default-storage-engine"
                                    },
                                    {
                                      'name' : "partition",
                                      'caption' : u"パーティション",
                                      'default' : "ON",
                                      'versions' : ((5, 1), (5, 4), (5, 5), (6, 0)),
                                      'type' : "boolean",
                                      'description' : "partition"
                                    },
                                    {
                                      'name' : "plugin_dir",
                                      'caption' : u"plugin_dir",
                                      'default' : "/usr/local/mysql/lib/mysql",
                                      'versions' : ((4, 1, 25), (5, 0, 67), (5, 1, 2), (5, 4), (5, 5), (6, 0)),
                                      'type' : "filename",
                                      'description' : "plugin_dir"
                                    },
                                    {
                                      'description' : "plugin-load",
                                      'caption' : "plugin-load",
                                      'versions' : ((5, 1, 18), (5, 4), (5, 5), (6, 0)),
                                      'type' : "string",
                                      'name' : "plugin-load"
                                    },
                                    {
                                      'name' : "port-open-timeout",
                                      'caption' : "port-open-timeout",
                                      'default' : "0",
                                      'versions' : ((5, 0, 19), (5, 1, 5), (5, 4), (5, 5), (6, 0)),
                                      'type' : "numeric",
                                      'description' : "port-open-timeout"
                                    },
                                    {
                                      'caption' : "skip-character-set-client-handshake",
                                      'description' : "skip-character-set-client-handshake",
                                      'type' : "string",
                                      'name' : "skip-character-set-client-handshake",
                                      'versions' : ((4, 1, 15), (5, 0, 13), (5, 1), (5, 4), (6, 0))
                                    },
                                    {
                                      'description' : "time_format",
                                      'caption' : "time_format",
                                      'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (6, 0)),
                                      'type' : "string",
                                      'name' : "time_format"
                                    },
                                    {
                                      'caption' : u"詳細表示",
                                      'description' : u"詳細を表示する",
                                      'type' : "string",
                                      'name' : "verbose",
                                      'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (6, 0))
                                    },
                                    {
                                      'caption' : u"スタンドアロン",
                                      'description' : u"スタンドアロン",
                                      'type' : "string",
                                      'name' : "standalone",
                                      'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (6, 0))
                                    },
                                    {
                                      'description' : u"旧バージョンで対応した動作をサポートする。",
                                      'versions' : ((5, 1, 18), (5, 4), (5, 5), (6, 0)),
                                      'default' : "Unchecked",
                                      'caption' : u"旧動作：",
                                      'type' : "boolean",
                                      'name' : "old"
                                    },
                                    {
                                      'description' : "lower_case_file_system",
                                      'caption' : "lower_case_file_system",
                                      'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                      'type' : "boolean",
                                      'name' : "lower_case_file_system"
                                    }
                                  ) #End of controls list in group General
                                } #End of group General
                            ) # end of groups in tab General
                 } # end of tab General
  ,  u'詳細' : { 'description' : u"このページですべての詳細設定を行います。",
                    'position' : 2,
                    'groups':(  {'caption' : u"ローカライゼーション",
                                 'controls':
                                   (
                                     {
                                       'description' : u"既定で使う文字セット。",
                                       'versions' : ((4, 1, 3), (5, 0)),
                                       'default' : "",
                                       'caption' : u"規定の文字セット：",
                                       'type' : "filename",
                                       'name' : "default-character-set"
                                     },
                                     {
                                       'description' : u"デフォルトのタイムゾーン",
                                       'caption' : u"デフォルトタイムゾーン",
                                       'versions' : ((4, 1, 3), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'type' : "string",
                                       'name' : "default-time-zone"
                                     },
                                     {
                                       'description' : "クライアントエラーメッセージの言語。全体パスで指定することも可能。",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "",
                                       'caption' : u"言語：",
                                       'type' : "filename",
                                       'name' : "language"
                                     }
                                   ) #End of controls list in group Localization
                                 } #End of group Localization
                               ,{'caption' : u"一般",
                                 'controls':
                                   (
                                     {
                                       'name' : "default_week_format",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "0",
                                       'maximum' : "7",
                                       'minimum' : "0",
                                       'caption' : u"既定の週形式：",
                                       'type' : "numeric",
                                       'description' : u"WEEK()関数の既定の週形式。"
                                     },
                                     {
                                       'description' : u"エラーの場合、シンボリックスタックトレースを出力する。",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "Unchecked",
                                       'caption' : u"スタックトレースを出力",
                                       'type' : "boolean",
                                       'name' : "enable-pstack"
                                     },
                                     {
                                       'description' : u"SQLコマンド間にテーブルをディスクにフラッシュする。",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "Unchecked",
                                       'caption' : u"テーブルをフラッシュする：",
                                       'type' : "boolean",
                                       'name' : "flush"
                                     },
                                     {
                                       'name' : "flush_time",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "0",
                                       'minimum' : "0",
                                       'caption' : u"フラッシュの期間",
                                       'type' : "numeric",
                                       'description' : u"定期的にテーブルをフラッシュするために専用のスレッドを設ける。"
                                     },
                                     {
                                       'description' : u"デバッグ用にシグナルを有効にする。",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "Unchecked",
                                       'caption' : u"GDBの設定",
                                       'type' : "boolean",
                                       'name' : "gdb"
                                     },
                                     {
                                       'description' : u"INSERT/DELETE/UPDATEはSELECTより優先度が低いです。",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "Unchecked",
                                       'caption' : u"低優先の更新",
                                       'type' : "boolean",
                                       'name' : "low-priority-updates"
                                     },
                                     {
                                       'name' : "max_error_count",
                                       'versions' : ((4, 1, 0), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "64",
                                       'maximum' : "65535",
                                       'minimum' : "0",
                                       'caption' : u"最大エラー数",
                                       'type' : "numeric",
                                       'description' : u"文に大して保存する最大のエラー/警告メッセージの数。"
                                     },
                                     {
                                       'name' : "max_prepared_stmt_count",
                                       'versions' : ((4, 1, 19), (5, 0, 21), (5, 1, 10), (5, 4), (5, 5), (6, 0)),
                                       'default' : "16382",
                                       'maximum' : "1048576",
                                       'minimum' : "0",
                                       'caption' : "max_prepared_stmt_count",
                                       'type' : "numeric",
                                       'description' : "max_prepared_stmt_count"
                                     },
                                     {
                                       'name' : "max_sp_recursion_depth",
                                       'versions' : ((5, 0, 17), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "0",
                                       'maximum' : "255",
                                       'caption' : "max_sp_recursion_depth",
                                       'type' : "numeric",
                                       'description' : "max_sp_recursion_depth"
                                     },
                                     {
                                       'description' : u"メモリにmysqldを固定にする。(=スワップしないようにする)",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "Unchecked",
                                       'caption' : u"メモリロック",
                                       'type' : "boolean",
                                       'name' : "memlock"
                                     },
                                     {
                                       'name' : "old-alter-table",
                                       'caption' : "old-alter-table",
                                       'default' : "OFF",
                                       'versions' : ((5, 1), (5, 4), (5, 5), (6, 0)),
                                       'type' : "boolean",
                                       'description' : "old-alter-table"
                                     },
                                     {
                                       'name' : "old-style-user-limits",
                                       'caption' : "old-style-user-limits",
                                       'default' : "FALSE",
                                       'versions' : ((5, 0, 3), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'type' : "boolean",
                                       'description' : "old-style-user-limits"
                                     },
                                     {
                                       'name' : "open-files-limit",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "0",
                                       'maximum' : "65535",
                                       'minimum' : "0",
                                       'caption' : "open-files-limit",
                                       'type' : "numeric",
                                       'description' : "open-files-limit"
                                     },
                                     {
                                       'caption' : "skip-event-scheduler",
                                       'description' : "skip-event-scheduler",
                                       'type' : "string",
                                       'name' : "skip-event-scheduler",
                                       'versions' : ((5, 1), (5, 4), (5, 5), (6, 0))
                                     },
                                     {
                                       'caption' : "skip-external-locking",
                                       'description' : "skip-external-locking",
                                       'type' : "string",
                                       'name' : "skip-external-locking",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0))
                                     },
                                     {
                                       'description' : u"エラーの場合にスタックトレースを出力しない",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "Unchecked",
                                       'caption' : u"スタックトレースを無効",
                                       'type' : "boolean",
                                       'name' : "skip-stack-trace"
                                     },
                                     {
                                       'name' : "sync_frm",
                                       'caption' : "sync_frm",
                                       'default' : "TRUE",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'type' : "boolean",
                                       'description' : "sync_frm"
                                     },
                                     {
                                       'name' : "sysdate-is-now",
                                       'caption' : "sysdate-is-now",
                                       'default' : "FALSE",
                                       'versions' : ((5, 0, 20), (5, 1, 8), (5, 4), (5, 5), (6, 0)),
                                       'type' : "boolean",
                                       'description' : "sysdate-is-now"
                                     },
                                     {
                                       'name' : "tc-heuristic-recover",
                                       'caption' : "tc-heuristic-recover",
                                       'versions' : ((5, 0, 3), (5, 1), (5, 4), (6, 0)),
                                       'items' : {"COMMIT":"COMMIT", "RECOVER":"RECOVER"},
                                       'type' : "dropdownbox",
                                       'description' : "tc-heuristic-recover"
                                     },
                                     {
                                       'name' : "updatable_views_with_limit",
                                       'caption' : "updatable_views_with_limit",
                                       'default' : "1",
                                       'versions' : ((5, 0, 2), (5, 1), (5, 4), (6, 0)),
                                       'type' : "boolean",
                                       'description' : "updatable_views_with_limit"
                                     },
                                     {
                                       'name' : "use-symbolic-links",
                                       'caption' : "use-symbolic-links",
                                       'default' : "TRUE",
                                       'versions' : ((5, 1), (5, 4), (6, 0)),
                                       'type' : "boolean",
                                       'description' : "use-symbolic-links"
                                     },
                                     {
                                       'caption' : "skip-safemalloc",
                                       'description' : "skip-safemalloc",
                                       'type' : "string",
                                       'name' : "skip-safemalloc",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (6, 0))
                                     }
                                   ) #End of controls list in group General
                                 } #End of group General
                               ,{'caption' : u"スレッド特有の設定",
                                 'controls':
                                   (
                                     {
                                       'description' : u"スレッドに優先度を付けない。",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "Unchecked",
                                       'caption' : u"スレッドの優先度を無効",
                                       'type' : "boolean",
                                       'name' : "skip-thread-priority"
                                     },
                                     {
                                       'description' : u"スレッド作成がこの値よりも時間（秒）が長い場合は、Slow_launch_threadsカウンター値を増やす。",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "2",
                                       'caption' : u"遅い起動時間",
                                       'type' : "numeric",
                                       'name' : "slow_launch_time"
                                     },
                                     {
                                       'name' : "thread_cache_size",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (6, 0)),
                                       'default' : "0",
                                       'maximum' : "16384",
                                       'minimum' : "0",
                                       'caption' : u"スレッドキャッシュサイズ",
                                       'type' : "numeric",
                                       'description' : u"再利用のためキャッシュに保管するスレッド数。"
                                     },
                                     {
                                       'name' : "thread_concurrency",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (6, 0)),
                                       'default' : "10",
                                       'maximum' : "512",
                                       'minimum' : "1",
                                       'caption' : u"平行スレッド数",
                                       'type' : "numeric",
                                       'description' : u"平行実行するスレッド数をアプリケーションから推奨できるようにする。"
                                     },
                                     {
                                       'outversion' : "6.0.3",
                                       'name' : "thread_handling",
                                       'versions' : ((5, 1, 17), (5, 4), (6, 0)),
                                       'items' : {"no-threads":"no-threads", "one-thread-per-connection":"one-thread-per-connection"},
                                       'caption' : "thread_handling",
                                       'type' : "dropdownbox",
                                       'description' : "thread_handling"
                                     },
                                     {
                                       'name' : "thread_stack",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (6, 0)),
                                       'default' : "192k",
                                       'blocksize' : "1024",
                                       'maximum' : "4294967295",
                                       'minimum' : "131072",
                                       'bitsize' : "32",
                                       'unitcontrol' : " ;K;M;G",
                                       'caption' : u"スレッドスタックサイズ",
                                       'type' : "numeric",
                                       'description' : u"各スレッドのスタックサイズ。"
                                     },
                                     {
                                       'caption' : "one-thread",
                                       'description' : "one-thread",
                                       'type' : "string",
                                       'name' : "one-thread",
                                       'versions' : ((5, 0), (5, 1), (5, 4), (5, 5), (6, 0))
                                     }
                                   ) #End of controls list in group Thread specific settings
                                 } #End of group Thread specific settings
                               ,{'caption' : u"Insertのディレイ設定",
                                 'controls':
                                   (
                                     {
                                       'name' : "delayed_insert_limit",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "100",
                                       'bitsize' : "32",
                                       'maximum' : "4294967295",
                                       'minimum' : "1",
                                       'caption' : u"Insertのディレイ値",
                                       'type' : "numeric",
                                       'description' : u"行をinserting delayed_insert_limitした後、INSERT DELAYEDハンドラーは実行待ちのSELECT文を確認する。ある場合は継続する前に実行する。"
                                     },
                                     {
                                       'description' : u"INSERT DELAYEDスレッドが中断する前にINSERT文を待つ時間。",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "300",
                                       'caption' : u"Insertディレイタイムアウト",
                                       'type' : "numeric",
                                       'name' : "delayed_insert_timeout"
                                     },
                                     {
                                       'name' : "delayed_queue_size",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "1k",
                                       'bitsize' : "32",
                                       'maximum' : "4294967295",
                                       'minimum' : "1",
                                       'unitcontrol' : " ;K;M;G",
                                       'caption' : u"Insertディレイキューサイズ",
                                       'type' : "numeric",
                                       'description' : u"INSERT DELAYEDを処理するために割り当てるキューの大きさ（行単位）。キューが満ちた場合は、INSERT DELAYEDを行ったクライアントはキューに空きがあるまで待つ。"
                                     },
                                     {
                                       'name' : "max_delayed_threads",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "20",
                                       'maximum' : "16384",
                                       'minimum' : "0",
                                       'caption' : u"最大スレッド数",
                                       'type' : "numeric",
                                       'description' : u"INSERT DELAYED文を処理するために、この値以上のスレッドを使わない。0に設定した場合はINSERT DELAYEDは使わない。"
                                     }
                                   ) #End of controls list in group Insert delayed settings
                                 } #End of group Insert delayed settings
                               ,{'caption' : u"その他",
                                 'controls':
                                   (
                                     {
                                       'description' : u"MySQL文法の代わりにANSI SQL文法を使う。",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "Unchecked",
                                       'caption' : u"ANSI SQLを使用",
                                       'type' : "boolean",
                                       'name' : "ansi"
                                     },
                                     {
                                       'name' : "back_log",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "50",
                                       'maximum' : "65535",
                                       'minimum' : "1",
                                       'caption' : u"バックログサイズ",
                                       'type' : "numeric",
                                       'description' : u"MySQLがもてる未接続処理のリクエスト。短時間にMySQLへ多くの接続リクエストがある場合に使われる。"
                                     },
                                     {
                                       'description' : u"すべての作業セットをファイルに保存することが大きな結果セットを可能にする（多くの'table full'エラーを解決する）。",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "Unchecked",
                                       'caption' : u"大きいテーブル",
                                       'type' : "boolean",
                                       'name' : "big-tables"
                                     },
                                     {
                                       'name' : "bind-address",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "0.0.0.0",
                                       'maximum' : "255.255.255.255",
                                       'minimum' : "0.0.0.0",
                                       'caption' : u"IPにバインド：",
                                       'type' : "string",
                                       'description' : u"バインドするIPアドレス。"
                                     },
                                     {
                                       'name' : "binlog_cache_size",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "32k",
                                       'bitsize' : "32",
                                       'maximum' : "4294967295",
                                       'minimum' : "4096",
                                       'unitcontrol' : " ;K;M;G",
                                       'caption' : u"Binlogキャッシュサイズ",
                                       'type' : "numeric",
                                       'description' : u"トランザクション中にバイナリログのためにSQL文を保管するキャッシュの大きさ。大きなマルチトランザクションを行う場合は、この値を大きくすると性能が上がる。"
                                     },
                                     {
                                       'name' : "bulk_insert_buffer_size",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "8M",
                                       'bitsize' : "32",
                                       'maximum' : "4294967295",
                                       'minimum' : "0",
                                       'unitcontrol' : " ;K;M;G",
                                       'caption' : u"一括insertバッファサイズ",
                                       'type' : "numeric",
                                       'description' : u"一括挿入の最適化に使うツリーキャッシュの大きさ。注：スレッド毎の大きさです。"
                                     },
                                     {
                                       'description' : u"起動時のChroot mysqldデーモン。",
                                       'caption' : u"Chroot：",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'type' : "filename",
                                       'name' : "chroot"
                                     },
                                     {
                                       'description' : u"エラーが発生した場合にコアを出力する。",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "Unchecked",
                                       'caption' : u"コアファイルを出力",
                                       'type' : "boolean",
                                       'name' : "core-file"
                                     },
                                     {
                                       'name' : "delay-key-write",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "0",
                                       'items' : {"On":"ON", "Off":"OFF", "All":"ALL"},
                                       'caption' : u"キー書込みの遅延：",
                                       'type' : "dropdownbox",
                                       'description' : u"DELAY_KEY_WRITEのタイプ。"
                                     },
                                     {
                                       'name' : "group_concat_max_len",
                                       'versions' : ((4, 1, 10), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "1k",
                                       'bitsize' : "32",
                                       'maximum' : "4294967295",
                                       'minimum' : "4",
                                       'unitcontrol' : " ;K;M;G",
                                       'caption' : u"Group concat関数結果の最大長",
                                       'type' : "numeric",
                                       'description' : u"group_concat関数の結果の最大長。."
                                     },
                                     {
                                       'outversion' : "6.0.8",
                                       'name' : "join_buffer_size",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "128k",
                                       'bitsize' : "32",
                                       'maximum' : "4294967295",
                                       'minimum' : "8200",
                                       'unitcontrol' : " ;K;M;G",
                                       'caption' : u"Joinバッファサイズ：",
                                       'type' : "numeric",
                                       'description' : u"完全JOINで使うバッファの大きさ。"
                                     },
                                     {
                                       'name' : "key_cache_block_size",
                                       'versions' : ((4, 1, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "1k",
                                       'maximum' : "16384",
                                       'minimum' : "512",
                                       'unitcontrol' : " ;K;M;G",
                                       'caption' : u"キーキャッシュブロックサイズ",
                                       'type' : "numeric",
                                       'description' : u"キーキャッシュブロックの大きさ既定値。"
                                     },
                                     {
                                       'name' : "key_cache_division_limit",
                                       'versions' : ((4, 1, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "100",
                                       'maximum' : "100",
                                       'minimum' : "1",
                                       'caption' : u"キーキャッシュ率limit",
                                       'type' : "numeric",
                                       'description' : u"キーキャッシュのワームブロックの最小率。"
                                     },
                                     {
                                       'name' : "lower_case_table_names",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "1",
                                       'maximum' : "2",
                                       'items' : {u"0- 作成と同じで保存、大小字区別あり":"0", "1- 小物字で保存、大小字区別なし":"1", "2- 作成と同じで保存、大小字区別なし":"2"},
                                       'minimum' : "0",
                                       'caption' : u"大/小文字の区別",
                                       'type' : "dropdownbox",
                                       'description' : u"0に設定した場合、テーブル名は作成時に小文字で保管され、大/小文字を区別します。1に設定した場合は、テーブル名は小文字で保管されますが、大/小文字の区別は行わない。2に設定されば場合は、作成時に指定された通りに保存されますが、大/小文字の区別は行わない（大/小文字の区別を行わないファイルシステムのみ有効。MySQL4.1.8以降）。"
                                     },
                                     {
                                       'outversion' : "5.1.35",
                                       'name' : "max_binlog_cache_size",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "4095M",
                                       'maximum' : "4294967295",
                                       'minimum' : "4096",
                                       'unitcontrol' : " ;K;M;G",
                                       'caption' : u"最大binlogキャッシュサイズ：",
                                       'type' : "numeric",
                                       'description' : u"マルチトランザクションクエリーで使う合計のキャッシュサイズ。"
                                     },
                                     {
                                       'name' : "max_heap_table_size",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "16M",
                                       'maximum' : "4294967295",
                                       'minimum' : "16384",
                                       'unitcontrol' : " ;K;M;G",
                                       'caption' : u"最大ヒープテーブルサイズ",
                                       'type' : "numeric",
                                       'description' : u"これより大きなヒープテーブルを作成させない。"
                                     },
                                     {
                                       'name' : "max_join_size",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "4095M",
                                       'maximum' : "4294967295",
                                       'minimum' : "1",
                                       'unitcontrol' : " ;K;M;G",
                                       'caption' : u"最大joinサイズ",
                                       'type' : "numeric",
                                       'description' : u"max_join_sizeレコード以上を参照するJOINはエラーとなる。"
                                     },
                                     {
                                       'name' : "max_length_for_sort_data",
                                       'versions' : ((4, 1, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "1k",
                                       'maximum' : "8388608",
                                       'minimum' : "4",
                                       'unitcontrol' : " ;K;M;G",
                                       'caption' : u"ソートデータの最大の長さ",
                                       'type' : "numeric",
                                       'description' : u"ソートレコードの最大バイト数。"
                                     },
                                     {
                                       'name' : "max_seeks_for_key",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "4294967295",
                                       'bitsize' : "32",
                                       'maximum' : "4294967295",
                                       'minimum' : "1",
                                       'caption' : u"キーの最大シーク回数",
                                       'type' : "numeric",
                                       'description' : u"キーを基に行を検索する場合にシークする最大の回数。"
                                     },
                                     {
                                       'name' : "max_sort_length",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "1k",
                                       'maximum' : "8388608",
                                       'minimum' : "4",
                                       'unitcontrol' : " ;K;M;G",
                                       'caption' : u"最大ソート長",
                                       'type' : "numeric",
                                       'description' : u"BLOB及びTEXTをソートするのに使うバイト数（内容の先頭のmax_sort_lengthバイトのみが使われます。その他は使われません）。"
                                     },
                                     {
                                       'name' : "max_tmp_tables",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "32",
                                       'bitsize' : "32",
                                       'maximum' : "4294967295",
                                       'minimum' : "1",
                                       'caption' : u"最大作業テーブル数：",
                                       'type' : "numeric",
                                       'description' : u"クライアントが同時に開いて入られる作業用テーブルの最大数。"
                                     },
                                     {
                                       'name' : "max_write_lock_count",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "4294967295",
                                       'bitsize' : "32",
                                       'maximum' : "4294967295",
                                       'minimum' : "1",
                                       'caption' : u"最大書込みログ数",
                                       'type' : "numeric",
                                       'description' : u"指定された値の書込みロックの後に、読込みロックを割り込ます。"
                                     },
                                     {
                                       'description' : u"safe_mysqldで使うファイルのPid。",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "",
                                       'caption' : u"Pidファイル名：",
                                       'type' : "filename",
                                       'name' : "pid-file"
                                     },
                                     {
                                       'name' : "preload_buffer_size",
                                       'versions' : ((4, 1, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "32k",
                                       'maximum' : "1073741824",
                                       'minimum' : "1024",
                                       'unitcontrol' : " ;K;M;G",
                                       'caption' : u"プリロードバッファサイズ",
                                       'type' : "numeric",
                                       'description' : u"索引をプリロードするために設けるバッファの大きさ"
                                     },
                                     {
                                       'name' : "query_alloc_block_size",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "8k",
                                       'blocksize' : "1024",
                                       'maximum' : "4294967295",
                                       'minimum' : "1024",
                                       'bitsize' : "32",
                                       'unitcontrol' : " ;K;M;G",
                                       'caption' : u"クエリーに割り当てるブロックサイズ：",
                                       'type' : "numeric",
                                       'description' : u"クエリーパースとクエリーの実行用に割り当てるブロックサイズ。"
                                     },
                                     {
                                       'name' : "query_prealloc_size",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "8k",
                                       'blocksize' : "1024",
                                       'maximum' : "4294967295",
                                       'minimum' : "8192",
                                       'bitsize' : "32",
                                       'unitcontrol' : " ;K;M;G",
                                       'caption' : u"クエリー割り当てサイズ",
                                       'type' : "numeric",
                                       'description' : u"クエリーパースと実行のための永続バッファの大きさ"
                                     },
                                     {
                                       'name' : "range_alloc_block_size",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "2k",
                                       'blocksize' : "1024",
                                       'maximum' : "4294967295",
                                       'minimum' : "2048",
                                       'bitsize' : "32",
                                       'unitcontrol' : " ;K;M;G",
                                       'caption' : u"Range用に割り当てブロックサイズ",
                                       'type' : "numeric",
                                       'description' : u"最適化中にRangeを保存するために割り当てるブロックサイズ。"
                                     },
                                     {
                                       'name' : "read_buffer_size",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "128k",
                                       'maximum' : "2147479552",
                                       'minimum' : "8200",
                                       'unitcontrol' : " ;K;M;G",
                                       'caption' : u"読込みバッファサイズ",
                                       'type' : "numeric",
                                       'description' : u"シーケンシャルスキャンする各スレッドは、スキャンするテーブル毎に指定されたサイズのバッファを設ける。シーケンシャルスキャンを多くする場合は、この値を大きくする。"
                                     },
                                     {
                                       'name' : "read_rnd_buffer_size",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "256k",
                                       'maximum' : "4294967295",
                                       'minimum' : "8200",
                                       'unitcontrol' : " ;K;M;G",
                                       'caption' : u"行の読込みバッファサイズ",
                                       'type' : "numeric",
                                       'description' : u"ソート後に行を参照する場合、ディスクシークを避けるためにこのバッファを介して参照される。設定されていない場合は、record_bufferの値が使われる。"
                                     },
                                     {
                                       'caption' : u"SQLモード：",
                                       'description' : u"文法： sql-mode=パラメータ[,パラメータ[,パラメータ...]] 　パラメータは次のいずれ： REAL_AS_FLOAT, PIPES_AS_CONCAT,ANSI_QUOTES, IGNORE_SPACE, ONLY_FULL_GROUP_BY,NO_UNSIGNED_SUBTRACTION。",
                                       'type' : "string",
                                       'name' : "sql-mode",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0))
                                     },
                                     {
                                       'description' : u"説明はありません。",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "Unchecked",
                                       'caption' : u"シンボリックリンクを有効にする",
                                       'type' : "boolean",
                                       'name' : "symbolic-links"
                                     },
                                     {
                                       'name' : "table_cache",
                                       'versions' : ((4, 1), (5, 0), (5, 1)),
                                       'default' : "64",
                                       'maximum' : "524288",
                                       'minimum' : "1",
                                       'caption' : u"テーブルキャッシュ：",
                                       'type' : "numeric",
                                       'description' : u"すべてのスレッドで開いているテーブル数。"
                                     },
                                     {
                                       'description' : u"よく使われる作業用ファイルの名前をファイル毎にユニークの名前に対応付けるのではなく、纏めます。",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (6, 0)),
                                       'default' : "Unchecked",
                                       'caption' : u"一時ファイルをプールする",
                                       'type' : "boolean",
                                       'name' : "temp-pool"
                                     },
                                     {
                                       'name' : "tmp_table_size",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (6, 0)),
                                       'default' : "32M",
                                       'maximum' : "4294967295",
                                       'minimum' : "1024",
                                       'unitcontrol' : " ;K;M;G",
                                       'caption' : u"一時テーブルのサイズ",
                                       'type' : "numeric",
                                       'description' : u"メモリ上の作業用テーブルが指定された大きさを越えた場合は、MySQLは自動的にディスクのMyISAMテーブルに変換します。"
                                     },
                                     {
                                       'description' : u"トランザクション分離レベルの既定値",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (6, 0)),
                                       'default' : "REPEATABLE-READ",
                                       'items' : {"REPEATABLE-READ":"REPEATABLE-READ", "READ-UNCOMMITTED":"READ-UNCOMMITTED", "SERIALIZABLE":"SERIALIZABLE", "READ-COMMITTED":"READ-COMMITTED"},
                                       'caption' : u"トランザクション分離レベルの既定値：",
                                       'type' : "dropdownbox",
                                       'name' : "transaction-isolation"
                                     },
                                     {
                                       'name' : "transaction_alloc_block_size",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (6, 0)),
                                       'default' : "8k",
                                       'blocksize' : "1024",
                                       'maximum' : "4294967295",
                                       'minimum' : "1024",
                                       'bitsize' : "32",
                                       'unitcontrol' : " ;K;M;G",
                                       'caption' : u"トランザクション割り当てブロックサイズ",
                                       'type' : "numeric",
                                       'description' : u"バイナリログに書き出すトランザクションに割り当てるブロックサイズ。"
                                     },
                                     {
                                       'name' : "transaction_prealloc_size",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (6, 0)),
                                       'default' : "4k",
                                       'blocksize' : "1024",
                                       'maximum' : "4294967295",
                                       'minimum' : "1024",
                                       'bitsize' : "32",
                                       'unitcontrol' : " ;K;M;G",
                                       'caption' : u"トランザクションprealloc size",
                                       'type' : "numeric",
                                       'description' : u"バイナリログに保存するトランザクション用の永続バッファ"
                                     },
                                     {
                                       'description' : u"mysqldデーモンをユーザとして実行する。",
                                       'caption' : u"ユーザとして実行：",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (6, 0)),
                                       'type' : "string",
                                       'name' : "user"
                                     }
                                   ) #End of controls list in group Various
                                 } #End of group Various
                             ) # end of groups in tab Advanced
                  } # end of tab Advanced
  ,  u'MyISAMパラメータ' : { 'description' : u"このページからMyISAM固有のパラメータを設定することができます。",
                             'position' : 3,
                             'groups':(  {'caption' : u"一般",
                                          'controls':
                                            (
                                              {
                                                'outversion' : "5.0.5",
                                                'name' : "concurrent_insert",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "TRUE",
                                                'caption' : "concurrent_insert",
                                                'type' : "boolean",
                                                'description' : "concurrent_insert"
                                              },
                                              {
                                                'description' : u"システム（外部）ロックを使う。ックが有効の場合は、MySQLサーバが起動中にテーブルをテスト（修復はできない）するためにmyisamchkを実行することができる。",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "Unchecked",
                                                'caption' : u"外部ロックを使用",
                                                'type' : "boolean",
                                                'name' : "external-locking"
                                              },
                                              {
                                                'name' : "keep_files_on_create",
                                                'caption' : "keep_files_on_create",
                                                'default' : "OFF",
                                                'versions' : ((5, 0, 48), (5, 1, 21), (5, 4), (5, 5), (6, 0)),
                                                'type' : "boolean",
                                                'description' : "keep_files_on_create"
                                              },
                                              {
                                                'outversion' : "5.1.22",
                                                'name' : "key_buffer_size",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "8192k",
                                                'maximum' : "4294967295",
                                                'minimum' : "8",
                                                'unitcontrol' : " ;K;M;G",
                                                'caption' : u"キーバッファ：",
                                                'type' : "numeric",
                                                'description' : u"索引ブロック用のバッファの大きさ。よりよい索引操作をするためにはこの値を大きくする（すべての参照と複数の書き込み）。一般的には、256MのMySQLが起動されている機器の場合は、64Mが指定される。"
                                              },
                                              {
                                                'name' : "key_cache_age_threshold",
                                                'versions' : ((4, 1, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "300",
                                                'bitsize' : "32",
                                                'maximum' : "4294967295",
                                                'minimum' : "100",
                                                'caption' : "key_cache_age_threshold",
                                                'type' : "numeric",
                                                'description' : "key_cache_age_threshold"
                                              },
                                              {
                                                'description' : u"システム（外部）ロックを使わない。ロックが有効の場合は、MySQLサーバが起動中にテーブルをテスト（修復はできない）するためにmyisamchkを実行することができる。",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "Unchecked",
                                                'caption' : u"外部ロックを無効",
                                                'type' : "boolean",
                                                'name' : "skip-locking"
                                              }
                                            ) #End of controls list in group General
                                          } #End of group General
                                        ,{'caption' : u"全文検索",
                                          'controls':
                                            (
                                              {
                                                'description' : u"FULLTEXT索引に含む単語の最大の長さ。注：値を変更した場合は、FULLTEXT索引を再構築する必要があります。",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "84",
                                                'minimum' : "10",
                                                'caption' : u"最大の単語長：",
                                                'type' : "numeric",
                                                'name' : "ft_max_word_len"
                                              },
                                              {
                                                'name' : "ft_min_word_len",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "4",
                                                'minimum' : "1",
                                                'caption' : u"最小の単語長：",
                                                'type' : "numeric",
                                                'description' : u"FULLTEXT索引に含む単語の最小の長さ。注：このパラメータを変更した場合は、FULLTEXT索引を再構築する必要があります。"
                                              },
                                              {
                                                'name' : "ft_query_expansion_limit",
                                                'versions' : ((4, 1, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "4",
                                                'maximum' : "1000",
                                                'minimum' : "0",
                                                'caption' : u"クエリー拡張制限：",
                                                'type' : "numeric",
                                                'description' : u"クエリー拡張に使う最適な一致の数。"
                                              },
                                              {
                                                'description' : u"備わった一覧の代わり指定されたファイルからのstopwordsを使う。",
                                                'versions' : ((4, 1, 10), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "",
                                                'caption' : u"Stopwordファイル：",
                                                'type' : "filename",
                                                'name' : "ft_stopword_file"
                                              }
                                            ) #End of controls list in group Fulltext search
                                          } #End of group Fulltext search
                                        ,{'caption' : u"詳細設定",
                                          'controls':
                                            (
                                              {
                                                'name' : "myisam-block-size",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "1024",
                                                'maximum' : "16384",
                                                'minimum' : "1024",
                                                'caption' : "myisam-block-size",
                                                'type' : "numeric",
                                                'description' : "myisam-block-size"
                                              },
                                              {
                                                'outversion' : "5.0.5",
                                                'name' : "myisam_data_pointer_size",
                                                'versions' : ((4, 1, 2), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "4",
                                                'maximum' : "8",
                                                'minimum' : "2",
                                                'caption' : "myisam_data_pointer_size",
                                                'type' : "numeric",
                                                'description' : "myisam_data_pointer_size"
                                              },
                                              {
                                                'outversion' : "5.0.6",
                                                'name' : "myisam_max_extra_sort_file_size",
                                                'versions' : ((4, 1), (5, 0)),
                                                'default' : "256M",
                                                'unitcontrol' : " ;K;M;G",
                                                'caption' : u"エクストラソートファイルサイズ：",
                                                'type' : "numeric",
                                                'description' : u"MySQLにいつ遅いけど安全なキーキャッシュ索引作成方法を使うかの判断を助ける。"
                                              },
                                              {
                                                'description' : u"この値より作業用ファイルが大きくなる場合は、ファストソード索引方式を使わない。",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "2047M",
                                                'unitcontrol' : " ;K;M;G",
                                                'caption' : u"最大ソートファイルサイズ：",
                                                'type' : "numeric",
                                                'name' : "myisam_max_sort_file_size"
                                              },
                                              {
                                                'name' : "myisam-recover",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "OFF",
                                                'items' : {"DEFAULT":"DEFAULT", "BACKUP":"BACKUP", "FORCE":"FORCE", "QUICK":"QUICK"},
                                                'caption' : "myisam-recover",
                                                'type' : "dropdownbox",
                                                'description' : "myisam-recover"
                                              },
                                              {
                                                'name' : "myisam_repair_threads",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "1",
                                                'bitsize' : "32",
                                                'maximum' : "4294967295",
                                                'minimum' : "1",
                                                'caption' : u"修復スレッド数：",
                                                'type' : "numeric",
                                                'description' : u"MyISAMテーブルを修復するために使うスレッドの数。１に設定されば場合、平行修復は無効になります。"
                                              },
                                              {
                                                'name' : "myisam_sort_buffer_size",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "8192k",
                                                'bitsize' : "32",
                                                'maximum' : "4294967295",
                                                'minimum' : "4",
                                                'unitcontrol' : " ;K;M;G",
                                                'caption' : u"MyIsamソートバッファサイズ：",
                                                'type' : "numeric",
                                                'description' : u"REPAIRの場合に索引をソートするためにや、CREATE INDEXやALTER TABLEで索引を作成するために割り当てられるバッファの大きさ。"
                                              },
                                              {
                                                'inversion' : "4.1",
                                                'name' : "myisam_stats_method",
                                                'versions' : ((4, 1, 15), (5, 0, 14), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "nulls_unequal",
                                                'items' : {},
                                                'caption' : "myisam_stats_method",
                                                'type' : "dropdownbox",
                                                'description' : "myisam_stats_method"
                                              },
                                              {
                                                'name' : "myisam_use_mmap",
                                                'caption' : "myisam_use_mmap",
                                                'default' : "FALSE",
                                                'versions' : ((5, 1, 4), (5, 4), (5, 5), (6, 0)),
                                                'type' : "boolean",
                                                'description' : "myisam_use_mmap"
                                              },
                                              {
                                                'caption' : "skip-concurrent-insert",
                                                'description' : "skip-concurrent-insert",
                                                'type' : "string",
                                                'name' : "skip-concurrent-insert",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0))
                                              }
                                            ) #End of controls list in group Advanced Settings
                                          } #End of group Advanced Settings
                                      ) # end of groups in tab MyISAM Parameters
                           } # end of tab MyISAM Parameters
  ,  u'性能' : { 'description' : u"ここから性能及びキャッシュに関する項目を設定することができます。",
                       'position' : 4,
                       'groups':(  {'caption' : u"一般",
                                    'controls':
                                      (
                                        {
                                          'name' : "safe-mode",
                                          'caption' : "safe-mode",
                                          'default' : "OFF",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'type' : "boolean",
                                          'description' : "safe-mode"
                                        },
                                        {
                                          'outversion' : "5.1.24",
                                          'name' : "table_definition_cache",
                                          'versions' : ((5, 1, 3), (5, 4), (6, 0)),
                                          'default' : "128",
                                          'maximum' : "524288",
                                          'minimum' : "1",
                                          'caption' : "table_definition_cache",
                                          'type' : "numeric",
                                          'description' : "table_definition_cache"
                                        },
                                        {
                                          'name' : "table_open_cache",
                                          'versions' : ((5, 1, 3), (5, 4), (6, 0)),
                                          'default' : "64",
                                          'maximum' : "524288",
                                          'minimum' : "64",
                                          'caption' : "table_open_cache",
                                          'type' : "numeric",
                                          'description' : "table_open_cache"
                                        }
                                      ) #End of controls list in group General
                                    } #End of group General
                                  ,{'caption' : u"クエリーキャッシュ",
                                    'controls':
                                      (
                                        {
                                          'name' : "query_cache_limit",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "1M",
                                          'bitsize' : "32",
                                          'maximum' : "4294967295",
                                          'minimum' : "0",
                                          'unitcontrol' : " ;K;M;G",
                                          'caption' : u"クエリーキャッシュ制限",
                                          'type' : "numeric",
                                          'description' : u"この値より大きな結果はキャッシュしない。"
                                        },
                                        {
                                          'name' : "query_cache_min_res_unit",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "4096k",
                                          'bitsize' : "32",
                                          'maximum' : "4294967295",
                                          'minimum' : "512",
                                          'unitcontrol' : " ;K;M;G",
                                          'caption' : u"結果単位の最小サイズ",
                                          'type' : "numeric",
                                          'description' : u"結果用に確保する領域の最小単位（最後に単位はすべての結果データを書き込んでからトリムする）"
                                        },
                                        {
                                          'name' : "query_cache_size",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "0",
                                          'bitsize' : "32",
                                          'maximum' : "4294967295",
                                          'minimum' : "0",
                                          'unitcontrol' : " ;K;M;G",
                                          'caption' : u"キャッシュサイズ",
                                          'type' : "numeric",
                                          'description' : u"古いクエリーからの結果を保管するために割り当てられたメモリ。"
                                        },
                                        {
                                          'name' : "query_cache_type",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "1",
                                          'items' : {u"キャッシュしない又は結果を得ない":"0", u"SELECT SQL_NO_CACHE以外はすべてキャッシュする":"1", u"SELECT SQL_CACHEクエリーのみキャッシュする":"2"},
                                          'caption' : u"キャッシュタイプ",
                                          'type' : "dropdownbox",
                                          'description' : u"使うクエリーキャッシュタイプ。"
                                        },
                                        {
                                          'name' : "query_cache_wlock_invalidate",
                                          'caption' : "query_cache_wlock_invalidate",
                                          'default' : "FALSE",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'type' : "boolean",
                                          'description' : "query_cache_wlock_invalidate"
                                        },
                                        {
                                          'name' : "replicate-same-server-id",
                                          'caption' : "replicate-same-server-id",
                                          'default' : "FALSE",
                                          'versions' : ((4, 1), (5, 0, 1), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'type' : "boolean",
                                          'description' : "replicate-same-server-id"
                                        }
                                      ) #End of controls list in group Query cache
                                    } #End of group Query cache
                                  ,{'caption' : u"最適化",
                                    'controls':
                                      (
                                        {
                                          'name' : "optimizer_prune_level",
                                          'caption' : "optimizer_prune_level",
                                          'default' : "1",
                                          'versions' : ((5, 0, 1), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'type' : "boolean",
                                          'description' : "optimizer_prune_level"
                                        },
                                        {
                                          'name' : "optimizer_search_depth",
                                          'caption' : "optimizer_search_depth",
                                          'default' : "62",
                                          'versions' : ((5, 0, 1), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'type' : "numeric",
                                          'description' : "optimizer_search_depth"
                                        },
                                        {
                                          'caption' : "optimizer_switch",
                                          'description' : "optimizer_switch",
                                          'type' : "string",
                                          'name' : "optimizer_switch",
                                          'versions' : ((5, 1, 34), (5, 2, 4), (5, 4, 2), (5, 5), (6, 0))
                                        }
                                      ) #End of controls list in group Optimize
                                    } #End of group Optimize
                                ) # end of groups in tab Performance
                     } # end of tab Performance
  ,  u'ログファイル' : { 'description' : u"このページからすべてのログ設定を行えます。",
                     'position' : 5,
                     'groups':(  {'caption' : u"ログの有効化",
                                  'controls':
                                    (
                                      {
                                        'description' : u"一般クエリーログの初期状態を指定する。",
                                        'versions' : ((5, 1, 12), (5, 4), (5, 5), (6, 0)),
                                        'default' : "Unchecked",
                                        'caption' : u"一般ログの有効化",
                                        'type' : "boolean",
                                        'name' : "general-log"
                                      },
                                      {
                                        'description' : u"クエリーログファイル名を入力してください。指定されない場合は、既定のログファイル名が使われます。",
                                        'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                        'default' : "",
                                        'caption' : u"クエリーログファイル名：",
                                        'type' : "filename",
                                        'name' : "log"
                                      },
                                      {
                                        'description' : u"バイナリログの名前を入力してください。 指定されない場合は、既定のログファイル名が使われます。",
                                        'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                        'default' : "",
                                        'caption' : u"バイナリログファイル名：",
                                        'type' : "filename",
                                        'name' : "log-bin"
                                      },
                                      {
                                        'description' : u"エラーログファイルの名前を入力してください。指定されない場合は、既定のログファイル名が使われます。",
                                        'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                        'default' : "",
                                        'caption' : u"エラーログファイル名：",
                                        'type' : "filename",
                                        'name' : "log-error"
                                      },
                                      {
                                        'description' : u"ISAMログファイルの名前を入力してください。指定されない場合は、既定のログファイル名が使われます。",
                                        'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                        'default' : "",
                                        'caption' : u"Isamログファイル名：",
                                        'type' : "filename",
                                        'name' : "log-isam"
                                      },
                                      {
                                        'description' : u"スロークエリーログファイルの名前を入力してください。指定されない場合は、既定のログファイル名が使われます。",
                                        'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                        'default' : "",
                                        'caption' : u"スロークエリーログ：",
                                        'type' : "filename",
                                        'name' : "log-slow-queries"
                                      }
                                    ) #End of controls list in group Activate Logging
                                  } #End of group Activate Logging
                                ,{'caption' : u"Binlogの設定",
                                  'controls':
                                    (
                                      {
                                        'description' : u"指定されたデータベースのみの更新をログする。指定されていないデータベースのログはしない。",
                                        'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                        'default' : "",
                                        'caption' : u"このデータベースの更新のみをログする",
                                        'type' : "filename",
                                        'name' : "binlog-do-db"
                                      },
                                      {
                                        'description' : u"指定されたデータベースの更新はバイナリログに出力しない。",
                                        'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                        'default' : "",
                                        'caption' : u"データベースの更新を無視",
                                        'type' : "filename",
                                        'name' : "binlog-ignore-db"
                                      },
                                      {
                                        'name' : "binlog-row-event-max-size",
                                        'versions' : ((5, 1, 5), (5, 4), (5, 5), (6, 0)),
                                        'default' : "1024",
                                        'bitsize' : "32",
                                        'maximum' : "4294967295",
                                        'minimum' : "256",
                                        'caption' : "binlog-row-event-max-size",
                                        'type' : "numeric",
                                        'description' : "binlog-row-event-max-size"
                                      },
                                      {
                                        'inversion' : "5.1.5",
                                        'name' : "binlog-format",
                                        'versions' : ((5, 1, 5), (5, 4), (5, 5), (6, 0)),
                                        'default' : "STATEMENT",
                                        'outversion' : "5.1.7",
                                        'items' : {"ROW":"ROW", "STATEMENT":"STATEMENT"},
                                        'caption' : "binlog-format",
                                        'type' : "dropdownbox",
                                        'description' : "binlog-format"
                                      },
                                      {
                                        'description' : u"最後のバイナリログファイルの名前をもつファイル。",
                                        'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                        'default' : "",
                                        'caption' : u"バイナリログファイルの索引のファイル名",
                                        'type' : "filename",
                                        'name' : "log-bin-index"
                                      },
                                      {
                                        'name' : "log-bin-trust-function-creators",
                                        'caption' : "log-bin-trust-function-creators",
                                        'default' : "FALSE",
                                        'versions' : ((5, 0, 16), (5, 1), (5, 4), (5, 5), (6, 0)),
                                        'type' : "boolean",
                                        'description' : "log-bin-trust-function-creators"
                                      },
                                      {
                                        'name' : "log-bin-trust-routine-creators",
                                        'caption' : "log-bin-trust-routine-creators",
                                        'default' : "FALSE",
                                        'versions' : ((5, 0, 6), (5, 1), (5, 2), (5, 4)),
                                        'type' : "boolean",
                                        'description' : "log-bin-trust-routine-creators"
                                      },
                                      {
                                        'name' : "max-binlog-dump-events",
                                        'caption' : "max-binlog-dump-events",
                                        'default' : "0",
                                        'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                        'type' : "numeric",
                                        'description' : "max-binlog-dump-events"
                                      },
                                      {
                                        'name' : "max_binlog_size",
                                        'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                        'default' : "1024M",
                                        'minimum' : "4096",
                                        'unitcontrol' : " ;K;M;G",
                                        'caption' : u"最大バイナリログサイズ",
                                        'type' : "numeric",
                                        'description' : u"その値に達したらバイナリログは自動的にローテートする。max_relay_log_sizeが0の場合はリレーログにも適用する。最小値は4096。"
                                      },
                                      {
                                        'name' : "sporadic-binlog-dump-fail",
                                        'caption' : "sporadic-binlog-dump-fail",
                                        'default' : "FALSE",
                                        'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                        'type' : "boolean",
                                        'description' : "sporadic-binlog-dump-fail"
                                      },
                                      {
                                        'name' : "sync_binlog",
                                        'versions' : ((4, 1, 3), (5, 0, 1), (5, 1), (5, 4), (5, 5), (6, 0)),
                                        'default' : "0",
                                        'bitsize' : "32",
                                        'maximum' : "4294967295",
                                        'minimum' : "0",
                                        'caption' : "sync_binlog",
                                        'type' : "numeric",
                                        'description' : "sync_binlog"
                                      }
                                    ) #End of controls list in group Binlog Options
                                  } #End of group Binlog Options
                                ,{'caption' : u"スロークエリーログ設定",
                                  'controls':
                                    (
                                      {
                                        'name' : "log-slow-admin-statements",
                                        'caption' : "log-slow-admin-statements",
                                        'default' : "FALSE",
                                        'versions' : ((4, 1, 13), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                        'type' : "boolean",
                                        'description' : "log-slow-admin-statements"
                                      },
                                      {
                                        'name' : "log-slow-slave-statements",
                                        'caption' : "log-slow-slave-statements",
                                        'default' : "off",
                                        'versions' : ((5, 1, 21), (5, 4), (5, 5), (6, 0, 4)),
                                        'type' : "boolean",
                                        'description' : "log-slow-slave-statements"
                                      },
                                      {
                                        'outversion' : "5.0.20",
                                        'name' : "long_query_time",
                                        'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                        'default' : "2",
                                        'minimum' : "1",
                                        'caption' : u"長いクエリー時間",
                                        'type' : "numeric",
                                        'description' : u"long_query_timeで指定された時間よりもクエリー時間が長い場合、ログに出力する。"
                                      },
                                      {
                                        'name' : "slow-query-log",
                                        'caption' : "slow-query-log",
                                        'default' : "OFF",
                                        'versions' : ((5, 1, 12), (5, 4), (5, 5), (6, 0)),
                                        'type' : "boolean",
                                        'description' : "slow-query-log"
                                      },
                                      {
                                        'description' : "slow_query_log_file",
                                        'caption' : "slow_query_log_file",
                                        'versions' : ((5, 1, 12), (5, 4), (5, 5), (6, 0)),
                                        'type' : "filename",
                                        'name' : "slow_query_log_file"
                                      }
                                    ) #End of controls list in group Slow query log options
                                  } #End of group Slow query log options
                                ,{'caption' : u"ログの詳細",
                                  'controls':
                                    (
                                      {
                                        'name' : "expire_logs_days",
                                        'versions' : ((4, 1, 0), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                        'default' : "0",
                                        'maximum' : "99",
                                        'minimum' : "0",
                                        'caption' : u"ログ有効期間",
                                        'type' : "numeric",
                                        'description' : u"有効期間（日）を過ぎるとログをローテーションする。"
                                      },
                                      {
                                        'name' : "general_log_file",
                                        'caption' : "general_log_file",
                                        'default' : "host_name.log",
                                        'versions' : ((5, 1, 12), (5, 4), (5, 5), (6, 0)),
                                        'type' : "filename",
                                        'description' : "general_log_file"
                                      },
                                      {
                                        'name' : "log-output",
                                        'versions' : ((5, 1, 6), (5, 4), (5, 5), (6, 0)),
                                        'default' : "FILE",
                                        'items' : {"ファイル":"FILE", "テーブル":"TABLE", "ログを無効にする":"NONE"},
                                        'caption' : u"ログの出力先：",
                                        'type' : "dropdownbox",
                                        'description' : u"一般クエリー及びスロークエリーのログの出力先を指定する。「テーブル」の場合はMySQLデータベースに出力する。「ファイル」の場合はファイルに出力する。"
                                      },
                                      {
                                        'description' : u"索引を使わないクエリーをログする。",
                                        'versions' : ((4, 1, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                        'default' : "Unchecked",
                                        'caption' : u"索引を使わないクエリーをログする",
                                        'type' : "boolean",
                                        'name' : "log-queries-not-using-indexes"
                                      },
                                      {
                                        'description' : u"更新やスロークエリーの追加情報をログしない。",
                                        'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                        'default' : "Unchecked",
                                        'caption' : u"短文でログ",
                                        'type' : "boolean",
                                        'name' : "log-short-format"
                                      },
                                      {
                                        'name' : "log-tc",
                                        'caption' : "log-tc",
                                        'default' : "tc.log",
                                        'versions' : ((5, 0, 3), (5, 1), (5, 4), (5, 5), (6, 0)),
                                        'type' : "filename",
                                        'description' : "log-tc"
                                      },
                                      {
                                        'name' : "log-tc-size",
                                        'versions' : ((5, 0, 3), (5, 1), (5, 4), (5, 5), (6, 0)),
                                        'default' : "24576",
                                        'bitsize' : "32",
                                        'maximum' : "4294967295",
                                        'caption' : "log-tc-size",
                                        'type' : "numeric",
                                        'description' : "log-tc-size"
                                      },
                                      {
                                        'inversion' : "4.1.3",
                                        'name' : "log-warnings",
                                        'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                        'default' : "Unchecked",
                                        'bitsize' : "32",
                                        'maximum' : "4294967295",
                                        'minimum' : "0",
                                        'caption' : u"警告もログ",
                                        'type' : "boolean",
                                        'description' : u"重大ではない警告もログする。"
                                      },
                                      {
                                        'name' : "min-examined-row-limit",
                                        'versions' : ((5, 1, 21), (5, 4), (5, 5), (6, 0, 4)),
                                        'default' : "0",
                                        'bitsize' : "32",
                                        'maximum' : "4294967295",
                                        'minimum' : "0",
                                        'caption' : "min-examined-row-limit",
                                        'type' : "numeric",
                                        'description' : "min-examined-row-limit"
                                      }
                                    ) #End of controls list in group Advanced log options
                                  } #End of group Advanced log options
                              ) # end of groups in tab Log Files
                   } # end of tab Log Files
  ,  u'セキュリティ' : { 'description' : u"MySQLサーバの一般的なパラメータを設定することができます。",
                    'position' : 6,
                    'groups':(  {'caption' : u"セキュリティ",
                                 'controls':
                                   (
                                     {
                                       'name' : "allow-suspicious-udfs",
                                       'caption' : "allow-suspicious-udfs",
                                       'default' : "FALSE",
                                       'versions' : ((4, 1, 10), (5, 0, 3), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'type' : "boolean",
                                       'description' : "allow-suspicious-udfs"
                                     },
                                     {
                                       'caption' : "des-key-file",
                                       'description' : "des-key-file",
                                       'type' : "string",
                                       'name' : "des-key-file",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0))
                                     },
                                     {
                                       'description' : u"有効/無効 LOAD DATA LOCAL INFILE",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "Unchecked",
                                       'caption' : u"ローカルファイルの読込みを有効/無効に設定する。",
                                       'type' : "boolean",
                                       'name' : "local-infile"
                                     },
                                     {
                                       'description' : u"旧パスワード暗号アルゴリズムを使う。（4.0以前のクライアントで要）。",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "Unchecked",
                                       'caption' : u"旧パスワードを利用",
                                       'type' : "boolean",
                                       'name' : "old-passwords"
                                     },
                                     {
                                       'description' : u"レプリケーション（スレーブ）スレッドとSUPER権限ユーザ以外の、すべてのテーブルを読込みのみにする。",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "Unchecked",
                                       'caption' : u"すべてのテーブルを読込みのみ",
                                       'type' : "boolean",
                                       'name' : "read_only"
                                     },
                                     {
                                       'description' : "safe-show-database",
                                       'caption' : "safe-show-database",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'type' : "boolean",
                                       'name' : "safe-show-database"
                                     },
                                     {
                                       'description' : u"mysql.userテーブルに権限をもたないユーザに、新規ユーザを作成させない。",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "Unchecked",
                                       'caption' : u"安全なユーザ作成",
                                       'type' : "boolean",
                                       'name' : "safe-user-create"
                                     },
                                     {
                                       'description' : "safemalloc-mem-limit",
                                       'caption' : "safemalloc-mem-limit",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'type' : "numeric",
                                       'name' : "safemalloc-mem-limit"
                                     },
                                     {
                                       'description' : u"旧(4.1より前）のパスワードをもつアカウントを認証しない。",
                                       'versions' : ((4, 1, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "Unchecked",
                                       'caption' : u"セキュアな認証",
                                       'type' : "boolean",
                                       'name' : "secure-auth"
                                     },
                                     {
                                       'description' : "secure-file-priv",
                                       'caption' : "secure-file-priv",
                                       'versions' : ((5, 0, 38), (5, 1, 17), (5, 4), (5, 5), (6, 0)),
                                       'type' : "string",
                                       'name' : "secure-file-priv"
                                     },
                                     {
                                       'description' : u"grant tablesを無効にする。この設定を行うとすべてのユーザにすべてのテーブルに対してFULL ACCESS権限を与える！",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "Unchecked",
                                       'caption' : u"grant tablesを無効",
                                       'type' : "boolean",
                                       'name' : "skip-grant-tables"
                                     },
                                     {
                                       'description' : u"'SHOW DATABASE'コマンドを無効にする。",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'default' : "Unchecked",
                                       'caption' : u"show databaseを無効",
                                       'type' : "boolean",
                                       'name' : "skip-show-database"
                                     }
                                   ) #End of controls list in group Security
                                 } #End of group Security
                               ,{'caption' : "SSL",
                                 'controls':
                                   (
                                     {
                                       'name' : "ssl",
                                       'caption' : "ssl",
                                       'default' : "FALSE",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                       'type' : "boolean",
                                       'description' : "SSL"
                                     },
                                     {
                                       'description' : "ssl-ca",
                                       'caption' : "ssl-ca",
                                       'versions' : ((4, 0), (4, 1), (5, 0, 23), (5, 1, 11), (5, 4), (5, 5), (6, 0)),
                                       'type' : "filename",
                                       'name' : "ssl-ca"
                                     },
                                     {
                                       'description' : "ssl-capath",
                                       'caption' : "ssl-capath",
                                       'versions' : ((4, 0), (4, 1), (5, 0, 23), (5, 1, 11), (5, 4), (5, 5), (6, 0)),
                                       'type' : "filename",
                                       'name' : "ssl-capath"
                                     },
                                     {
                                       'description' : "ssl-cert",
                                       'caption' : "ssl-cert",
                                       'versions' : ((4, 0), (4, 1), (5, 0, 23), (5, 1, 11), (5, 4), (5, 5), (6, 0)),
                                       'type' : "filename",
                                       'name' : "ssl-cert"
                                     },
                                     {
                                       'description' : "ssl-cipher",
                                       'caption' : "ssl-cipher",
                                       'versions' : ((4, 0), (4, 1), (5, 0, 23), (5, 1, 11), (5, 4), (5, 5), (6, 0)),
                                       'type' : "filename",
                                       'name' : "ssl-cipher"
                                     },
                                     {
                                       'description' : "ssl-key",
                                       'caption' : "ssl-key",
                                       'versions' : ((4, 0), (4, 1), (5, 0, 23), (5, 1, 11), (5, 4), (5, 5), (6, 0)),
                                       'type' : "string",
                                       'name' : "ssl-key"
                                     },
                                     {
                                       'description' : "ssl-verify-server-cert",
                                       'caption' : "ssl-verify-server-cert",
                                       'versions' : ((5, 1, 11), (5, 4), (5, 5), (6, 0)),
                                       'type' : "boolean",
                                       'name' : "ssl-verify-server-cert"
                                     },
                                     {
                                       'caption' : "skip-ssl",
                                       'description' : "skip-ssl",
                                       'type' : "string",
                                       'name' : "skip-ssl",
                                       'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (6, 0))
                                     }
                                   ) #End of controls list in group SSL
                                 } #End of group SSL
                             ) # end of groups in tab Security
                  } # end of tab Security
  ,  u'InnoDBパラメータ' : { 'description' : u"重要なInnoDBパラメータ。",
                             'position' : 7,
                             'groups':(  {'caption' : u"一般",
                                          'controls':
                                            (
                                              {
                                                'description' : "ignore_builtin_innodb",
                                                'caption' : "ignore_builtin_innodb",
                                                'versions' : ((5, 1, 33), (5, 4), (5, 5)),
                                                'type' : "boolean",
                                                'name' : "ignore_builtin_innodb"
                                              },
                                              {
                                                'name' : "innodb_adaptive_flushing",
                                                'caption' : "innodb_adaptive_flushing",
                                                'default' : "ON",
                                                'versions' : ((5, 1, 38), (5, 4, 2), (5, 5)),
                                                'type' : "boolean",
                                                'description' : u"innodb_adaptive_flushing"
                                              },
                                              {
                                                'name' : "innodb_adaptive_hash_index",
                                                'caption' : "innodb_adaptive_hash_index",
                                                'default' : "ON",
                                                'versions' : ((5, 0, 52), (5, 1, 24), (5, 4), (5, 5), (6, 0, 5)),
                                                'type' : "boolean",
                                                'description' : u"innodb_adaptive_hash_index"
                                              },
                                              {
                                                'name' : "innodb_autoextend_increment",
                                                'versions' : ((4, 1, 5), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "8",
                                                'maximum' : "1000",
                                                'minimum' : "1",
                                                'caption' : "innodb_autoextend_increment",
                                                'type' : "numeric",
                                                'description' : u"innodb_autoextend_increment"
                                              },
                                              {
                                                'name' : "innodb_autoinc_lock_mode",
                                                'caption' : "innodb_autoinc_lock_mode",
                                                'default' : "1",
                                                'versions' : ((5, 1, 22), (5, 4), (5, 5), (6, 0)),
                                                'type' : "numeric",
                                                'description' : "innodb_autoinc_lock_mode"
                                              },
                                              {
                                                'name' : "innodb_change_buffering",
                                                'versions' : ((5, 1, 38), (5, 4, 2), (5, 5)),
                                                'default' : "inserts",
                                                'items' : {"inserts":"inserts", "none":"none"},
                                                'caption' : "innodb_change_buffering",
                                                'type' : "dropdownbox",
                                                'description' : "innodb_change_buffering"
                                              },
                                              {
                                                'name' : "innodb_checksums",
                                                'caption' : "innodb_checksums",
                                                'default' : "ON",
                                                'versions' : ((5, 0, 3), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'type' : "boolean",
                                                'description' : "innodb_checksums"
                                              },
                                              {
                                                'name' : "innodb_commit_concurrency",
                                                'versions' : ((5, 0, 12), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "0",
                                                'maximum' : "100",
                                                'minimum' : "0",
                                                'caption' : "innodb_commit_concurrency",
                                                'type' : "numeric",
                                                'description' : "innodb_commit_concurrency"
                                              },
                                              {
                                                'name' : "innodb_concurrency_tickets",
                                                'versions' : ((5, 0, 3), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "500",
                                                'maximum' : "4294967295",
                                                'minimum' : "1",
                                                'caption' : "innodb_concurrency_tickets",
                                                'type' : "numeric",
                                                'description' : "innodb_concurrency_tickets"
                                              },
                                              {
                                                'description' : "innodb_doublewrite",
                                                'caption' : "innodb_doublewrite",
                                                'versions' : ((5, 0, 3), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'type' : "numeric",
                                                'name' : "innodb_doublewrite"
                                              },
                                              {
                                                'name' : "innodb_file_format",
                                                'caption' : "innodb_file_format",
                                                'default' : "Antelope",
                                                'versions' : ((5, 1, 38), (5, 4, 2), (5, 5)),
                                                'type' : "string",
                                                'description' : "innodb_file_format"
                                              },
                                              {
                                                'name' : "innodb_file_format_check",
                                                'caption' : "innodb_file_format_check",
                                                'default' : "Antelope",
                                                'versions' : ((5, 1, 38), (5, 4, 2), (5, 5)),
                                                'type' : "string",
                                                'description' : "innodb_file_format_check"
                                              },
                                              {
                                                'name' : "innodb_io_capacity",
                                                'caption' : "innodb_io_capacity",
                                                'default' : "200",
                                                'versions' : ((5, 1, 38), (5, 4), (5, 5)),
                                                'type' : "numeric",
                                                'description' : "innodb_io_capacity"
                                              },
                                              {
                                                'name' : "innodb_locks_unsafe_for_binlog",
                                                'caption' : "innodb_locks_unsafe_for_binlog",
                                                'default' : "FALSE",
                                                'versions' : ((4, 1, 4), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'type' : "boolean",
                                                'description' : "innodb_locks_unsafe_for_binlog"
                                              },
                                              {
                                                'name' : "innodb_max_purge_lag",
                                                'versions' : ((4, 1, 6), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "0",
                                                'maximum' : "4294967295",
                                                'minimum' : "0",
                                                'caption' : "innodb_max_purge_lag",
                                                'type' : "numeric",
                                                'description' : "innodb_max_purge_lag"
                                              },
                                              {
                                                'name' : "innodb_old_blocks_pct",
                                                'versions' : ((5, 1, 41), (5, 5)),
                                                'default' : "37",
                                                'maximum' : "95",
                                                'minimum' : "5",
                                                'caption' : "innodb_old_blocks_pct",
                                                'type' : "numeric",
                                                'description' : "innodb_old_blocks_pct"
                                              },
                                              {
                                                'name' : "innodb_old_blocks_time",
                                                'caption' : "innodb_old_blocks_time",
                                                'default' : "0",
                                                'versions' : ((5, 1, 41), (5, 5)),
                                                'type' : "numeric",
                                                'description' : "innodb_old_blocks_time"
                                              },
                                              {
                                                'name' : "innodb_read_ahead_threshold",
                                                'caption' : "innodb_read_ahead_threshold",
                                                'default' : "56",
                                                'versions' : ((5, 1, 38), (5, 4, 2), (5, 5)),
                                                'type' : "numeric",
                                                'description' : "innodb_read_ahead_threshold"
                                              },
                                              {
                                                'outversion' : "5.4.2",
                                                'name' : "innodb_read_io_threads",
                                                'versions' : ((5, 1, 38), (5, 4), (5, 5)),
                                                'default' : "8",
                                                'caption' : "innodb_read_io_threads",
                                                'type' : "numeric",
                                                'description' : "innodb_read_io_threads"
                                              },
                                              {
                                                'name' : "innodb_replication_delay",
                                                'caption' : "innodb_replication_delay",
                                                'default' : "0",
                                                'versions' : ((5, 1, 38), (5, 4, 2), (5, 5)),
                                                'type' : "numeric",
                                                'description' : "innodb_replication_delay"
                                              },
                                              {
                                                'caption' : "innodb_rollback_on_timeout",
                                                'description' : "innodb_rollback_on_timeout",
                                                'type' : "string",
                                                'name' : "innodb_rollback_on_timeout",
                                                'versions' : ((5, 0, 32), (5, 1, 15), (5, 4), (5, 5), (6, 0))
                                              },
                                              {
                                                'name' : "innodb_stats_on_metadata",
                                                'caption' : "innodb_stats_on_metadata",
                                                'default' : "ON",
                                                'versions' : ((5, 1, 17), (5, 4), (5, 5), (6, 0)),
                                                'type' : "boolean",
                                                'description' : "innodb_stats_on_metadata"
                                              },
                                              {
                                                'name' : "innodb_status_file",
                                                'caption' : "innodb_status_file",
                                                'default' : "FALSE",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'type' : "boolean",
                                                'description' : "innodb_status_file"
                                              },
                                              {
                                                'name' : "innodb_support_xa",
                                                'caption' : "innodb_support_xa",
                                                'default' : "TRUE",
                                                'versions' : ((5, 0, 3), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'type' : "boolean",
                                                'description' : "innodb_support_xa"
                                              },
                                              {
                                                'outversion' : "5.4.1",
                                                'name' : "innodb_sync_spin_loops",
                                                'versions' : ((5, 0, 3), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "20",
                                                'maximum' : "4294967295",
                                                'minimum' : "0",
                                                'caption' : "innodb_sync_spin_loops",
                                                'type' : "numeric",
                                                'description' : "innodb_sync_spin_loops"
                                              },
                                              {
                                                'name' : "innodb_spin_wait_delay",
                                                'caption' : "innodb_spin_wait_delay",
                                                'default' : "6",
                                                'versions' : ((5, 1, 38), (5, 4, 2), (5, 5)),
                                                'type' : "numeric",
                                                'description' : "innodb_spin_wait_delay"
                                              },
                                              {
                                                'name' : "innodb_stats_sample_pages",
                                                'caption' : "innodb_stats_sample_pages",
                                                'default' : "8",
                                                'versions' : ((5, 1, 38), (5, 4, 2), (5, 5)),
                                                'type' : "numeric",
                                                'description' : "innodb_stats_sample_pages"
                                              },
                                              {
                                                'name' : "innodb_strict_mode",
                                                'caption' : "innodb_strict_mode",
                                                'default' : "ON",
                                                'versions' : ((5, 1, 38), (5, 4, 2), (5, 5)),
                                                'type' : "boolean",
                                                'description' : "innodb_strict_mode"
                                              },
                                              {
                                                'name' : "innodb_table_locks",
                                                'caption' : "innodb_table_locks",
                                                'default' : "TRUE",
                                                'versions' : ((4, 1, 2), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'type' : "boolean",
                                                'description' : "innodb_table_locks"
                                              },
                                              {
                                                'inversion' : "5.0.8",
                                                'name' : "innodb_thread_sleep_delay",
                                                'versions' : ((5, 0, 3), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "0",
                                                'outversion' : "5.0.18",
                                                'maximum' : "4294967295",
                                                'minimum' : "1000",
                                                'caption' : "innodb_thread_sleep_delay",
                                                'type' : "numeric",
                                                'description' : "innodb_thread_sleep_delay"
                                              },
                                              {
                                                'name' : "innodb_use_legacy_cardinality_algorithm",
                                                'caption' : "innodb_use_legacy_cardinality_algorithm",
                                                'default' : "ON",
                                                'versions' : ((5, 0, 82), (5, 1, 35)),
                                                'type' : "boolean",
                                                'description' : "innodb_use_legacy_cardinality_algorithm"
                                              },
                                              {
                                                'name' : "innodb_use_sys_malloc",
                                                'caption' : "innodb_use_sys_malloc",
                                                'default' : "ON",
                                                'versions' : ((5, 1, 38), (5, 4, 2), (5, 5)),
                                                'type' : "boolean",
                                                'description' : "innodb_use_sys_malloc"
                                              },
                                              {
                                                'outversion' : "5.4.2",
                                                'name' : "innodb_write_io_threads",
                                                'versions' : ((5, 1, 38), (5, 4), (5, 5)),
                                                'default' : "8",
                                                'caption' : "innodb_write_io_threads",
                                                'type' : "numeric",
                                                'description' : "innodb_write_io_threads"
                                              },
                                              {
                                                'name' : "skip-innodb",
                                                'caption' : "skip-innodb",
                                                'default' : "OFF",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'type' : "boolean",
                                                'description' : "skip-innodb"
                                              },
                                              {
                                                'name' : "skip-innodb-checksums",
                                                'caption' : "skip-innodb-checksums",
                                                'default' : "OFF",
                                                'versions' : ((5, 0, 3), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'type' : "boolean",
                                                'description' : "skip-innodb-checksums"
                                              },
                                              {
                                                'name' : "timed_mutexes",
                                                'caption' : "timed_mutexes",
                                                'default' : "OFF",
                                                'versions' : ((5, 0, 3), (5, 1), (5, 4), (6, 0)),
                                                'type' : "boolean",
                                                'description' : "timed_mutexes"
                                              }
                                            ) #End of controls list in group General
                                          } #End of group General
                                        ,{'caption' : u"InnoDBを有効化",
                                          'controls':
                                            (
                                              {
                                                'outversion' : "5.1.35",
                                                'description' : u"InnoDBテーブルを利用する場合のみ有効にする。",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "Checked",
                                                'caption' : u"InnoDBを有効化",
                                                'type' : "boolean",
                                                'name' : "innodb"
                                              }
                                             ,
                                            ) #End of controls list in group Activate InnoDB
                                          } #End of group Activate InnoDB
                                        ,{'caption' : u"メモリ",
                                          'controls':
                                            (
                                              {
                                                'name' : "innodb_additional_mem_pool_size",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "2M",
                                                'maximum' : "4294967295",
                                                'minimum' : "524288",
                                                'unitcontrol' : " ;K;M;G",
                                                'caption' : u"Add.メモリポールサイズ：",
                                                'type' : "numeric",
                                                'description' : u"データ辞書の情報及び内部データ構造を保管するためのInnoDBメモリプールの大きさ。一般的には2Mに設定。多くのテーブルを使うアプリケーションがある場合は値を大きくする。InnoDBがこのプールでメモリ不足した場合、OSからメモリを割り当ててもらい、MySQLエラーログに注意メッセージを出力する。"
                                              },
                                              {
                                                'name' : "innodb_buffer_pool_awe_mem_mb",
                                                'versions' : ((4, 1, 0), (5, 0), (5, 1)),
                                                'default' : "0",
                                                'maximum' : "63000",
                                                'minimum' : "0",
                                                'caption' : u"AWEメモリプールサイズ：",
                                                'type' : "numeric",
                                                'description' : u"このパラメータを使ってInnoDBバッファプールをAWE物理メモリに割り当てることができる。"
                                              },
                                              {
                                                'name' : "innodb_buffer_pool_size",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "16M",
                                                'maximum' : "4294967295",
                                                'minimum' : "1048576",
                                                'unitcontrol' : " ;K;M;G",
                                                'caption' : u"バッファプールサイズ：",
                                                'type' : "numeric",
                                                'description' : u"この値を多くすると、テーブルのデータを使うのにディスクI/Oが少なくなる。専用データベースサーバの場合は、このパラメータを機器の物理メモリサイズの80%に設定する。大きく設定し過ぎると、OSで物理メモリの競合が発生する。"
                                              }
                                            ) #End of controls list in group Memory
                                          } #End of group Memory
                                        ,{'caption' : u"データフェイル",
                                          'controls':
                                            (
                                              {
                                                'description' : u"各データファイルのパスとそれらの大きさ。",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "",
                                                'caption' : u"データファイルパス：",
                                                'type' : "filename",
                                                'name' : "innodb_data_file_path"
                                              },
                                              {
                                                'description' : u"すべてのInnoDBデータファイルに共有したディレクトリパス。各データファイルを別々のドライブを設ける場合は空白にしておく。",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "",
                                                'caption' : u"データディレクトリ：",
                                                'type' : "filename",
                                                'name' : "innodb_data_home_dir"
                                              },
                                              {
                                                'description' : u"このパラメータはInnoDBがテーブル毎に.ibdファイルに保管するようにする。",
                                                'versions' : ((4, 1, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "Unchecked",
                                                'caption' : u"テーブル毎にファイル",
                                                'type' : "boolean",
                                                'name' : "innodb_file_per_table"
                                              }
                                            ) #End of controls list in group Datafiles
                                          } #End of group Datafiles
                                        ,{'caption' : u"ログファイル",
                                          'controls':
                                            (
                                              {
                                                'name' : "innodb_flush_log_at_trx_commit",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "0",
                                                'value' : "2",
                                                'items' : {u"ログに書き出し、毎秒フラッシュする":"0", u"コミット毎に書込み、毎秒フラッシュする":"2", u"トランザクションコミットでログをフラッシュ":"1"},
                                                'caption' : u"ログをフラッシュ：",
                                                'type' : "dropdownbox",
                                                'description' : u"ログファイルがどのようにディスクにフラッシュするかの指定。"
                                              },
                                              {
                                                'name' : "innodb_flush_method",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "fdatasync",
                                                'items' : {u"nosync（プロダクションシステムには推奨しない）":u"nosync", u"O_DSYNC (早い、しかしOS/drv/hdwに依存)":u"O_DSYNC", u"fdatasync（安全、推奨）":u"fdatasync"},
                                                'caption' : u"フラッシュ方式：",
                                                'type' : "dropdownbox",
                                                'description' : u"ログファイルをディスクにフラッシュする方式。"
                                              },
                                              {
                                                'description' : u"ログアーカイブを保管するディレクトリパス。",
                                                'versions' : ((4, 1), (5, 0), (5, 1)),
                                                'default' : "",
                                                'caption' : u"ログアーカイブディレクトリ：",
                                                'type' : "filename",
                                                'name' : "innodb_log_arch_dir"
                                              },
                                              {
                                                'description' : u"この値は無効になっているはず。",
                                                'versions' : ((4, 1), (5, 0), (5, 1)),
                                                'default' : "0",
                                                'items' : {u"InnoDBログアーカイブを無効":"0", u"InnoDBログアーカイブを有効":"1"},
                                                'caption' : u"ログアーカイブ",
                                                'type' : "dropdownbox",
                                                'name' : "innodb_log_archive"
                                              },
                                              {
                                                'name' : "innodb_log_buffer_size",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "2M",
                                                'maximum' : "4294967295",
                                                'minimum' : "1048576",
                                                'unitcontrol' : " ;K;M;G",
                                                'caption' : u"ログバッファサイズ：",
                                                'type' : "numeric",
                                                'description' : u"InnoDBがログファイルをディスクに書き込むバッファの大きさ。一般には1Mから8MB。大きくすると大きなトランザクションがコミットするまでにログファイルをディスクに書き込まずに済む。そのため、大きなトランザクションを扱う場合は、ログバッファを大きくすることで、ディスクI/Oを節約できる。"
                                              },
                                              {
                                                'name' : "innodb_log_file_size",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "5M",
                                                'maximum' : "4294967295",
                                                'minimum' : "1048576",
                                                'unitcontrol' : " ;K;M;G",
                                                'caption' : u"ログファイルサイズ：",
                                                'type' : "numeric",
                                                'description' : u"ロググループの各ログファイルの大きさ（メガバイト）。一般には1Mからバッファプールの大きさの1/n（n=グループにあるログファイル数）。値が大きい場合は、バッファプールでチェックポイントフラッシュする回数が少なくなり、ディスクI/Oが少ない。ただし、値が大きいとリカバリに時間が掛かる。32ビットコンピュータの場合は、ログファイルの合計の大きさは4GBより小さくなければならない。既定値は5M。"
                                              },
                                              {
                                                'name' : "innodb_log_files_in_group",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "2",
                                                'maximum' : "100",
                                                'minimum' : "2",
                                                'caption' : u"ログファイルをグループ：",
                                                'type' : "numeric",
                                                'description' : u"ロググループのログファイル数。InnoDBはファイルを循環で書き込む。推奨値は2（既定値）。"
                                              },
                                              {
                                                'description' : u"InnoDBログファイルのディレクトリパス。",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "",
                                                'caption' : u"ロググループディレクトリ：",
                                                'type' : "filename",
                                                'name' : "innodb_log_group_home_dir"
                                              },
                                              {
                                                'name' : "innodb_mirrored_log_groups",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "1",
                                                'maximum' : "10",
                                                'minimum' : "1",
                                                'caption' : u"ロググループをミラー：",
                                                'type' : "numeric",
                                                'description' : u"データベース用に保管する内容が同一のロググループ。現在は、1に設定。"
                                              }
                                            ) #End of controls list in group Logfiles
                                          } #End of group Logfiles
                                        ,{'caption' : u"その他",
                                          'controls':
                                            (
                                              {
                                                'name' : "innodb_fast_shutdown",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "Checked",
                                                'value' : "2",
                                                'caption' : u"シャットダウンを短縮",
                                                'type' : "boolean",
                                                'description' : u"サーバシャットダウン処理を早くする。"
                                              },
                                              {
                                                'name' : "innodb_file_io_threads",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (6, 0)),
                                                'default' : "4",
                                                'maximum' : "64",
                                                'minimum' : "4",
                                                'caption' : u"ファイルIOスレッド：",
                                                'type' : "numeric",
                                                'description' : u"InnoDBのファイルI/Oスレッド数。通常は4に設定。WindowsディスクI/Oの場合は大きい数値にした方がよいかも。"
                                              },
                                              {
                                                'name' : "innodb_force_recovery",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "0",
                                                'caption' : u"リカバリーを強制",
                                                'type' : "numeric",
                                                'description' : u"データベースのディスクイメージが破壊した場合に、データ回復を支援する。"
                                              },
                                              {
                                                'name' : "innodb_lock_wait_timeout",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "2",
                                                'maximum' : "1073741824",
                                                'minimum' : "1",
                                                'caption' : u"タイムアウト待ちをロック：",
                                                'type' : "numeric",
                                                'description' : u"ロールバックする前に、InnoDBトランザクションがロックのために待つ時間（秒）。InnoDBは自動的にデッドロックを感知してトランザクションをロールバックする。LOCK TABLESコマンドを使う場合や、同じトランザクションでInnoDB以外のトランザクションに対応したストレージエンジンを使う場合は、InnoDBが自動感知できないデッドロックが発生する可能性がある。そのような場合は、タイムアウトでデッドロックを解決できます。"
                                              },
                                              {
                                                'name' : "innodb_max_dirty_pages_pct",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "90",
                                                'maximum' : "100",
                                                'minimum' : "0",
                                                'caption' : u"最大ダーティページ",
                                                'type' : "numeric",
                                                'description' : u"バッファプールの最大ダーティページの率"
                                              },
                                              {
                                                'name' : "innodb_open_files",
                                                'versions' : ((4, 1, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "300",
                                                'maximum' : "4294967295",
                                                'minimum' : "10",
                                                'caption' : u"開いているファイル：",
                                                'type' : "numeric",
                                                'description' : u"InnoDBに複数のテーブルスペースを使う場合のみ関係する。InnoDBが同時に開ける.ibdファイルの最大数を指定する。最小は10。既定値は300。"
                                              },
                                              {
                                                'name' : "innodb_thread_concurrency",
                                                'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                                'default' : "8",
                                                'maximum' : "1000",
                                                'minimum' : "1",
                                                'caption' : u"平行スレッド",
                                                'type' : "numeric",
                                                'description' : u"多く平行する環境の場合に性能チューニングに使う。"
                                              }
                                            ) #End of controls list in group Various
                                          } #End of group Various
                                      ) # end of groups in tab InnoDB Parameters
                           } # end of tab InnoDB Parameters
  ,  u'NDBパラメータ' : { 'description' : u"すべての重要なNDBパラメータ",
                          'position' : 8,
                          'groups':(  {'caption' : u"一般",
                                       'controls':
                                         (
                                           {
                                             'outversion' : "5.0.54",
                                             'name' : "ndb_autoincrement_prefetch_sz",
                                             'versions' : ((4, 1, 8), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                             'default' : "32",
                                             'maximum' : "256",
                                             'minimum' : "1",
                                             'caption' : "ndb_autoincrement_prefetch_sz",
                                             'type' : "numeric",
                                             'description' : "ndb_autoincrement_prefetch_sz"
                                           },
                                           {
                                             'name' : "ndb-batch-size",
                                             'versions' : ((5, 1, 23),),
                                             'default' : "32768",
                                             'maximum' : "31536000",
                                             'minimum' : "0",
                                             'caption' : "ndb-batch-size",
                                             'type' : "numeric",
                                             'description' : "ndb-batch-size"
                                           },
                                           {
                                             'name' : "ndb_cache_check_time",
                                             'caption' : "ndb_cache_check_time",
                                             'default' : "0",
                                             'versions' : ((4, 1), (5, 0), (5, 1)),
                                             'type' : "numeric",
                                             'description' : "ndb_cache_check_time"
                                           },
                                           {
                                             'name' : "ndb-cluster-connection-pool",
                                             'versions' : ((5, 1, 19),),
                                             'default' : "1",
                                             'maximum' : "63",
                                             'minimum' : "1",
                                             'caption' : "ndb-cluster-connection-pool",
                                             'type' : "numeric",
                                             'description' : "ndb-cluster-connection-pool"
                                           },
                                           {
                                             'description' : "ndb-connectstring",
                                             'caption' : "ndb-connectstring",
                                             'versions' : ((5, 1),),
                                             'type' : "string",
                                             'name' : "ndb-connectstring"
                                           },
                                           {
                                             'name' : "ndb_extra_logging",
                                             'caption' : "ndb_extra_logging",
                                             'default' : "0",
                                             'versions' : ((5, 1, 6),),
                                             'type' : "numeric",
                                             'description' : "ndb_extra_logging"
                                           },
                                           {
                                             'name' : "ndb_force_send",
                                             'caption' : "ndb_force_send",
                                             'default' : "TRUE",
                                             'versions' : ((4, 1, 8), (5, 0), (5, 1)),
                                             'type' : "boolean",
                                             'description' : "ndb_force_send"
                                           },
                                           {
                                             'name' : "ndb_log_updated_only",
                                             'caption' : "ndb_log_updated_only",
                                             'default' : "ON",
                                             'versions' : ((5, 1, 19),),
                                             'type' : "boolean",
                                             'description' : "ndb_log_updated_only"
                                           },
                                           {
                                             'name' : "ndb-log-update-as-write",
                                             'caption' : "ndb-log-update-as-write",
                                             'default' : "ON",
                                             'versions' : ((5, 1, 19), (5, 1, 22)),
                                             'type' : "boolean",
                                             'description' : "ndb-log-update-as-write"
                                           },
                                           {
                                             'name' : "ndb_log_empty_epochs",
                                             'caption' : "ndb_log_empty_epochs",
                                             'default' : "OFF",
                                             'versions' : ((5, 1, 31), (5, 1, 31)),
                                             'type' : "boolean",
                                             'description' : "ndb_log_empty_epochs"
                                           },
                                           {
                                             'inversion' : "5.0.45",
                                             'name' : "ndb-nodeid",
                                             'versions' : ((5, 0, 45), (5, 1, 15)),
                                             'maximum' : "63",
                                             'minimum' : "1",
                                             'caption' : "ndb-nodeid",
                                             'type' : "numeric",
                                             'description' : "ndb-nodeid"
                                           },
                                           {
                                             'name' : "ndb-mgmd-host",
                                             'caption' : "ndb-mgmd-host",
                                             'default' : "localhost:1186",
                                             'versions' : ((5, 0), (5, 1)),
                                             'type' : "string",
                                             'description' : "ndb-mgmd-host"
                                           },
                                           {
                                             'name' : "ndb_wait_connected",
                                             'versions' : ((5, 1, 16),),
                                             'default' : "0",
                                             'maximum' : "31536000",
                                             'minimum' : "0",
                                             'caption' : "ndb_wait_connected",
                                             'type' : "numeric",
                                             'description' : "ndb_wait_connected"
                                           },
                                           {
                                             'name' : "ndb-wait-setup",
                                             'versions' : ((5, 1, 39), (5, 1, 39), (5, 1, 39)),
                                             'default' : "15",
                                             'maximum' : "31536000",
                                             'minimum' : "0",
                                             'caption' : "ndb-wait-setup",
                                             'type' : "numeric",
                                             'description' : "ndb-wait-setup"
                                           },
                                           {
                                             'name' : "ndbcluster",
                                             'caption' : "ndbcluster",
                                             'default' : "FALSE",
                                             'versions' : ((4, 1), (5, 0), (5, 1)),
                                             'type' : "boolean",
                                             'description' : "ndbcluster"
                                           },
                                           {
                                             'name' : "ndb_index_stat_cache_entries",
                                             'versions' : ((4, 1), (5, 0), (5, 1), (6, 0)),
                                             'default' : "32",
                                             'maximum' : "4294967295",
                                             'minimum' : "0",
                                             'caption' : "ndb_index_stat_cache_entries",
                                             'type' : "numeric",
                                             'description' : "ndb_index_stat_cache_entries"
                                           },
                                           {
                                             'name' : "ndb_index_stat_enable",
                                             'caption' : "ndb_index_stat_enable",
                                             'default' : "ON",
                                             'versions' : ((4, 1), (5, 0), (5, 1), (6, 0)),
                                             'type' : "boolean",
                                             'description' : "ndb_index_stat_enable"
                                           },
                                           {
                                             'name' : "ndb_index_stat_update_freq",
                                             'versions' : ((4, 1), (5, 0), (5, 1), (6, 0)),
                                             'default' : "20",
                                             'maximum' : "4294967295",
                                             'minimum' : "0",
                                             'caption' : "ndb_index_stat_update_freq",
                                             'type' : "numeric",
                                             'description' : "ndb_index_stat_update_freq"
                                           },
                                           {
                                             'inversion' : "4.1.9",
                                             'name' : "ndb_optimized_node_selection",
                                             'versions' : ((4, 1, 9), (5, 0), (5, 1)),
                                             'default' : "ON",
                                             'caption' : "ndb_optimized_node_selection",
                                             'type' : "boolean",
                                             'description' : "ndb_optimized_node_selection"
                                           },
                                           {
                                             'name' : "ndb_report_thresh_binlog_epoch_slip",
                                             'versions' : ((4, 1), (5, 0), (5, 1), (6, 0)),
                                             'default' : "3",
                                             'maximum' : "256",
                                             'minimum' : "0",
                                             'caption' : "ndb_report_thresh_binlog_epoch_slip",
                                             'type' : "numeric",
                                             'description' : "ndb_report_thresh_binlog_epoch_slip"
                                           },
                                           {
                                             'name' : "ndb_report_thresh_binlog_mem_usage",
                                             'versions' : ((4, 1), (5, 0), (5, 1), (6, 0)),
                                             'default' : "10",
                                             'maximum' : "10",
                                             'minimum' : "0",
                                             'caption' : "ndb_report_thresh_binlog_mem_usage",
                                             'type' : "numeric",
                                             'description' : "ndb_report_thresh_binlog_mem_usage"
                                           },
                                           {
                                             'name' : "ndb_use_transactions",
                                             'caption' : "ndb_use_transactions",
                                             'default' : "ON",
                                             'versions' : ((4, 1, 18), (5, 0), (5, 1), (6, 0)),
                                             'type' : "boolean",
                                             'description' : "ndb_use_transactions"
                                           },
                                           {
                                             'caption' : "skip-ndbcluster",
                                             'description' : "skip-ndbcluster",
                                             'type' : "string",
                                             'name' : "skip-ndbcluster",
                                             'versions' : ((5, 1), (6, 0))
                                           }
                                         ) #End of controls list in group General
                                       } #End of group General
                                     ,                                   ) # end of groups in tab NDB Parameters
                        } # end of tab NDB Parameters
  ,  u'トランザクション' : { 'description' : u"トランザクションパラメータ",
                        'position' : 9,
                        'groups':(  {'caption' : u"その他",
                                     'controls':
                                       (
                                         {
                                           'name' : "completion_type",
                                           'versions' : ((5, 0, 3), (5, 1), (5, 4), (5, 5), (6, 0)),
                                           'default' : "0",
                                           'value' : "2",
                                           'caption' : u"completion_type",
                                           'type' : "numeric",
                                           'description' : u"completion_type"
                                         }
                                        ,
                                       ) #End of controls list in group Misc
                                     } #End of group Misc
                                   ,                                 ) # end of groups in tab Transactions
                      } # end of tab Transactions
  ,  u'ネットワーク' : { 'description' : u"詳細のネットワーク設定",
                      'position' : 10,
                      'groups':(  {'caption' : u"一般",
                                   'controls':
                                     (
                                       {
                                         'description' : u"使うソケットファイル（Unix）又は名前付きパイプ（Windows）の名前。",
                                         'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                         'default' : "",
                                         'caption' : u"ソケット／パイプ名：",
                                         'type' : "filename",
                                         'name' : "socket"
                                       }
                                      ,
                                     ) #End of controls list in group General
                                   } #End of group General
                                 ,{'caption' : u"データ／メモリサイズ",
                                   'controls':
                                     (
                                       {
                                         'name' : "max_allowed_packet",
                                         'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                         'default' : "1M",
                                         'maximum' : "1073741824",
                                         'minimum' : "1024",
                                         'unitcontrol' : " ;K;M;G",
                                         'caption' : u"最大パケットサイズ：",
                                         'type' : "numeric",
                                         'description' : u"サーバから送受信する最大パケット長。"
                                       },
                                       {
                                         'name' : "net_buffer_length",
                                         'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                         'default' : "16",
                                         'maximum' : "1048576",
                                         'minimum' : "1024",
                                         'unitcontrol' : " ;K;M;G",
                                         'caption' : u"総合バッファ長",
                                         'type' : "numeric",
                                         'description' : u"TCP/IP及びソケット通信のバッファ長。"
                                       }
                                     ) #End of controls list in group Data / Memory size
                                   } #End of group Data / Memory size
                                 ,{'caption' : u"タイムアウト設定",
                                   'controls':
                                     (
                                       {
                                         'outversion' : "5.0.51",
                                         'name' : "connect_timeout",
                                         'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                         'default' : "0",
                                         'minimum' : "2",
                                         'caption' : u"接続タイムアウト",
                                         'type' : "numeric",
                                         'description' : u"'Bad handshake'と返す前に、mysqldサーバが接続パケットを待つ時間（秒）。"
                                       },
                                       {
                                         'name' : "interactive_timeout",
                                         'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                         'default' : "28800",
                                         'minimum' : "1",
                                         'caption' : u"対話タイムアウト",
                                         'type' : "numeric",
                                         'description' : u"閉じる前にサーバが対話を待つ時間（秒）。"
                                       },
                                       {
                                         'name' : "net_read_timeout",
                                         'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                         'default' : "30",
                                         'minimum' : "1",
                                         'caption' : u"読込みタイムアウト",
                                         'type' : "numeric",
                                         'description' : u"参照を中断するまでに接続からデータを待つ時間（秒）。"
                                       },
                                       {
                                         'name' : "net_write_timeout",
                                         'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                         'default' : "60",
                                         'minimum' : "1",
                                         'caption' : u"書込みタイムアウト",
                                         'type' : "numeric",
                                         'description' : u"書き出しを中断するまでに接続にブロックの書き込むを待つ時間（秒）。"
                                       },
                                       {
                                         'name' : "wait_timeout",
                                         'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (6, 0)),
                                         'default' : "28800",
                                         'maximum' : "31536000",
                                         'minimum' : "1",
                                         'caption' : u"待ちタイムアウト",
                                         'type' : "numeric",
                                         'description' : u"接続を閉じるまでサーバがアクティブティを待つ時間（秒）。"
                                       }
                                     ) #End of controls list in group Timeout Settings
                                   } #End of group Timeout Settings
                                 ,{'caption' : u"詳細",
                                   'controls':
                                     (
                                       {
                                         'name' : "max_connect_errors",
                                         'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                         'default' : "10",
                                         'bitsize' : "32",
                                         'maximum' : "4294967295",
                                         'minimum' : "1",
                                         'caption' : u"最大接続エラー：",
                                         'type' : "numeric",
                                         'description' : u"ホストから指定された以上の接続の切断があった場合は、このホストへの接続を封鎖する。"
                                       },
                                       {
                                         'outversion' : "5.1.14",
                                         'name' : "max_connections",
                                         'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                         'default' : "100",
                                         'caption' : u"最大接続：",
                                         'type' : "numeric",
                                         'description' : u"許可する同時クライアント数。"
                                       },
                                       {
                                         'name' : "max_user_connections",
                                         'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                         'default' : "0",
                                         'maximum' : "4294967295",
                                         'minimum' : "0",
                                         'caption' : u"最大接続/ユーザ：",
                                         'type' : "numeric",
                                         'description' : u"１ユーザの最大のアクティブ接続数（0=無限）。"
                                       },
                                       {
                                         'name' : "net_retry_count",
                                         'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                         'default' : "10",
                                         'bitsize' : "32",
                                         'maximum' : "4294967295",
                                         'minimum' : "1",
                                         'caption' : u"リトライ数：",
                                         'type' : "numeric",
                                         'description' : u"通信ポートの参照が中断した場合のリトライ回数。"
                                       }
                                     ) #End of controls list in group Advanced
                                   } #End of group Advanced
                                 ,{'caption' : u"名前",
                                   'controls':
                                     (
                                       {
                                         'description' : u"ホスト名をキャッシュしない。",
                                         'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                         'default' : "Unchecked",
                                         'caption' : u"ホスト名キャッシュを無効化",
                                         'type' : "boolean",
                                         'name' : "skip-host-cache"
                                       },
                                       {
                                         'description' : u"ホスト名を解析しない。すべてのホスト名はIP又は'localhost'である。",
                                         'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                         'default' : "Unchecked",
                                         'caption' : u"名前解決を無効化",
                                         'type' : "boolean",
                                         'name' : "skip-name-resolve"
                                       }
                                     ) #End of controls list in group Naming
                                   } #End of group Naming
                               ) # end of groups in tab Networking
                    } # end of tab Networking
  ,  u'レプリケーション' : { 'description' : u"すべてのリプリケーション設定",
                       'position' : 11,
                       'groups':(  {'caption' : u"一般",
                                    'controls':
                                      (
                                        {
                                          'name' : "server-id",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "0",
                                          'maximum' : "4294967295",
                                          'minimum' : "0",
                                          'caption' : u"サーバID",
                                          'type' : "numeric",
                                          'description' : u"レプリケーションパートナーコミュニティ内で、サーバインスタンスを特定する識別子。"
                                        }
                                       ,
                                      ) #End of controls list in group General
                                    } #End of group General
                                  ,{'caption' : u"マスタ",
                                    'controls':
                                      (
                                        {
                                          'name' : "auto_increment_increment",
                                          'versions' : ((5, 0, 2), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "1",
                                          'maximum' : "65535",
                                          'minimum' : "1",
                                          'caption' : "auto_increment_increment",
                                          'type' : "numeric",
                                          'description' : "auto_increment_increment"
                                        },
                                        {
                                          'name' : "auto_increment_offset",
                                          'versions' : ((5, 0, 2), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "1",
                                          'maximum' : "65535",
                                          'minimum' : "1",
                                          'caption' : "auto_increment_offset",
                                          'type' : "numeric",
                                          'description' : "auto_increment_offset"
                                        },
                                        {
                                          'description' : "master-bind",
                                          'caption' : "master-bind",
                                          'versions' : ((5, 1, 22), (5, 4), (5, 5), (6, 0)),
                                          'type' : "string",
                                          'name' : "master-bind"
                                        },
                                        {
                                          'description' : u"設定された場合、マスタでSHOW SLAVE HOSTSするとユーザとパスワードを表示する。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "Unchecked",
                                          'caption' : u"スレーブ認証情報を表示",
                                          'type' : "boolean",
                                          'name' : "show-slave-auth-info"
                                        }
                                      ) #End of controls list in group Master
                                    } #End of group Master
                                  ,{'caption' : u"一般スレーブ",
                                    'controls':
                                      (
                                        {
                                          'name' : "abort-slave-event-count",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "0",
                                          'minimum' : "0",
                                          'caption' : "abort-slave-event-count",
                                          'type' : "numeric",
                                          'description' : "abort-slave-event-count"
                                        },
                                        {
                                          'name' : "disconnect-slave-event-count",
                                          'caption' : "disconnect-slave-event-count",
                                          'default' : "0",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'type' : "numeric",
                                          'description' : "disconnect-slave-event-count"
                                        },
                                        {
                                          'description' : u"スレーブにスレーブスレッドからの更新をバイナリログに書き込むように指示する。スレーブを連鎖する場合は有効にする。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "Unchecked",
                                          'caption' : u"スレーブの更新をログする",
                                          'type' : "boolean",
                                          'name' : "log-slave-updates"
                                        },
                                        {
                                          'description' : u"設定した場合、スレーブは自動的に起動しない。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "Unchecked",
                                          'caption' : u"自動的にスレーブを起動させない",
                                          'type' : "boolean",
                                          'name' : "skip-slave-start"
                                        },
                                        {
                                          'name' : "slave-allow-batching",
                                          'caption' : "slave-allow-batching",
                                          'default' : "off",
                                          'versions' : ((5, 1, 19),),
                                          'type' : "boolean",
                                          'description' : "slave-allow-batching"
                                        },
                                        {
                                          'description' : u"LOAD DATA INFILEコマンドによりレプリケーションした場合に、スレーブが作業用ファイルを保管する場所。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "",
                                          'caption' : u"作業用ディレクトリ",
                                          'type' : "filename",
                                          'name' : "slave-load-tmpdir"
                                        },
                                        {
                                          'caption' : u"スキップするエラー：",
                                          'description' : u"クエリーが提供された一覧からのエラーを返した場合は、スレーブスレッドはレプリケーションを継続する。",
                                          'type' : "string",
                                          'name' : "slave-skip-errors",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0))
                                        },
                                        {
                                          'description' : u"マスタ/スレーブプロトコルで圧縮を有効にする。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "Unchecked",
                                          'caption' : u"圧縮を有効",
                                          'type' : "boolean",
                                          'name' : "slave_compressed_protocol"
                                        },
                                        {
                                          'name' : "slave-net-timeout",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "3600",
                                          'minimum' : "1",
                                          'caption' : u"スレーブタイムアウト",
                                          'type' : "numeric",
                                          'description' : u"参照を中断する前にマスタ/スレーブ接続からデータを待つ時間（秒）。"
                                        },
                                        {
                                          'name' : "slave_transaction_retries",
                                          'versions' : ((4, 1, 11), (5, 0, 3), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "10",
                                          'bitsize' : "32",
                                          'maximum' : "4294967295",
                                          'minimum' : "0",
                                          'caption' : "slave_transaction_retries",
                                          'type' : "numeric",
                                          'description' : "slave_transaction_retries"
                                        }
                                      ) #End of controls list in group General slave
                                    } #End of group General slave
                                  ,{'caption' : u"スレーブレプリケーションオブジェクト",
                                    'controls':
                                      (
                                        {
                                          'description' : u"スレーブスレッドに指定されたスキーマへのレプリケーションを制限する。この設定は、複数のデータベースを跨いでクエリーしない場合（UPDATE　データベース.テーブル SET foo='bar'）で、異なるデータベースまたはデータベースを指定しない場合のみ有効です。データベースを跨って更新する場合は、バージョン3.23.28以降か、replicate-wild-do-table=db_name.%を使ってください。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "",
                                          'caption' : u"リプリケートするデータベース：",
                                          'type' : "string",
                                          'name' : "replicate-do-db"
                                        },
                                        {
                                          'description' : u"スレーブスレッドに指定したテーブルへレプリケーションしないように指示する。１つより多くのテーブルを指定する場合は、テーブル毎に指定する。replicate-do-dbとは対照的に、データベースを跨る更新の場合のみ有効。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "",
                                          'caption' : u"リプリケートするテーブル：",
                                          'type' : "string",
                                          'name' : "replicate-do-table"
                                        },
                                        {
                                          'description' : u"スレーブスレッドに指定されたデータベースへレプリケーションしないように指示する。１つより多いデータベースを指定する場合は、データベース毎に指定する。データベースを跨る更新を行う場合は無効である。データベースを跨る更新を行う場合は、バージョン3.23.28以降かreplicate-wild-ignore-table=db_name.%を使う。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "",
                                          'caption' : u"DBを無視：",
                                          'type' : "string",
                                          'name' : "replicate-ignore-db"
                                        },
                                        {
                                          'description' : u"スレーブスレッドに指定されたデータベースへレプリケーションしないように指示する。１つ以上のテーブルを無視するように指定する場合は、テーブル毎に指定する。replicate-ignore-dbとは対象的に、データベースを跨る更新で有効。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "",
                                          'caption' : u"無視するテーブル：",
                                          'type' : "string",
                                          'name' : "replicate-ignore-table"
                                        },
                                        {
                                          'description' : u"元の名前とは異なる名前でデータベースを更新する。例：replicate-rewrite-db=master_db_name->slave_db_name。",
                                          'caption' : "DB名を書き換える：",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'type' : "string",
                                          'name' : "replicate-rewrite-db"
                                        },
                                        {
                                          'description' : u"スレーブスレッドにワイルドカードパターンに一致したテーブルへのレプリケーションの制限するように指示する。１つより多いテーブルを指定する場合は、テーブル毎に指定する。データベースを跨る更新の場合のみ有効。例：replicate-wild-do-table=foo%.bar%は、fooで始まるすべてのデータベースでテーブル名がbarで始まるテーブルのみへ更新する。",
                                          'caption' : u"ワイルドリプリケーションテーブル：",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'type' : "string",
                                          'name' : "replicate-wild-do-table"
                                        },
                                        {
                                          'description' : u"スレーブスレッドにウイル度カードに一致したテーブルへのレプリケーションを行わないように指定する。１つより多いテーブルを指定する場合は、テーブル毎に指定する。データベースを跨る更新の場合のみ有効。例：replicate-wild-do-table=foo%.bar%は、fooで始まるすべてのデータベースかつテーブル名がbarで始まるテーブルへは更新しない。",
                                          'caption' : u"ワイルド無視テーブル：",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'type' : "string",
                                          'name' : "replicate-wild-ignore-table"
                                        }
                                      ) #End of controls list in group Slave replication objects
                                    } #End of group Slave replication objects
                                  ,{'caption' : u"スレーブ識別子",
                                    'controls':
                                      (
                                        {
                                          'description' : u"スレーブ登録の場合に、マスタに報告するホスト名またはIPアドレス。SHOW SLAVE HOSTSの出力に表示する。スレーブが自分自身をマスタに登録させたくない場合は設定しない。マスタがスレーブが接続したらソケットからIPアドレスを取得するだけでは不十分です。NATやその他のルーティングのため、そのIPはマスタ又は他ホストからスレーブに接続するための正しいIPではない可能性もあります。",
                                          'caption' : u"リポートホスト：",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'type' : "string",
                                          'name' : "report-host"
                                        },
                                        {
                                          'description' : u"'SHOW SLAVE HOSTS'でパスワードも表示する。",
                                          'caption' : u"リポートパスワード：",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'type' : "string",
                                          'name' : "report-password"
                                        },
                                        {
                                          'description' : u"サーバ登録の時にマスタに報告されるスレーブのポート番号。スレーブが既定値以外のポートをリスニングしている場合、マスタ又は他クライアントとスレーブ間で特別なトンネルを利用する場合のみ設定する。不明な場合は設定しない。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "3306",
                                          'caption' : u"リポートポート",
                                          'type' : "numeric",
                                          'name' : "report-port"
                                        },
                                        {
                                          'description' : u"'SHOW SLAVE HOSTS'に表示するユーザ名。",
                                          'caption' : u"リポートユーザ：",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'type' : "string",
                                          'name' : "report-user"
                                        }
                                      ) #End of controls list in group Slave Identification
                                    } #End of group Slave Identification
                                  ,{'caption' : u"リレーログ",
                                    'controls':
                                      (
                                        {
                                          'name' : "max_relay_log_size",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "0",
                                          'maximum' : "1073741824",
                                          'minimum' : "0",
                                          'caption' : u"リレーログの最大サイズ",
                                          'type' : "numeric",
                                          'description' : u"0以外の場合、リレーログの大きさがこの値に達すつろ、自動的にローテートする。0の場合は（既定値）、max_binlog_sizeに達した場合にローテートする。最小値は4096。"
                                        },
                                        {
                                          'description' : u"リレーログに使う名前と場所。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "",
                                          'caption' : u"リレーログのファイル名：",
                                          'type' : "filename",
                                          'name' : "relay-log"
                                        },
                                        {
                                          'description' : u"最後のリレーログの一覧をもつファイルの名前と場所。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "",
                                          'caption' : u"リレーログ索引ファイル名：",
                                          'type' : "filename",
                                          'name' : "relay-log-index"
                                        },
                                        {
                                          'description' : u"SQLレプリケーションスレッドがリレーログのどこにあるか示すファイルの名前と場所。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "",
                                          'caption' : u"リレーログ情報ファイル名：",
                                          'type' : "filename",
                                          'name' : "relay-log-info-file"
                                        },
                                        {
                                          'description' : u"0 = リレーログを消化しない。 1 = 不要になったら即時に消化する。",
                                          'versions' : ((4, 1, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "Unchecked",
                                          'caption' : u"リレーログを消去",
                                          'type' : "boolean",
                                          'name' : "relay_log_purge"
                                        },
                                        {
                                          'name' : "relay_log_space_limit",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "0",
                                          'bitsize' : "32",
                                          'maximum' : "4294967295",
                                          'minimum' : "0",
                                          'caption' : u"すべてのリレーログの合計最大サイズ：",
                                          'type' : "numeric",
                                          'description' : u"全リレーログで使う最大領域。"
                                        }
                                      ) #End of controls list in group Relay Log
                                    } #End of group Relay Log
                                  ,{'caption' : u"スレーブの接続の既定値",
                                    'controls':
                                      (
                                        {
                                          'description' : u"マスタとの接続が途切れた場合に、スレーブが再接続を行う前に待つ時間（秒）",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4)),
                                          'default' : "60",
                                          'caption' : u"マスタ接続リトライ",
                                          'type' : "numeric",
                                          'name' : "master-connect-retry"
                                        },
                                        {
                                          'description' : u"レプリケーション用のマスタホスト名又はIPアドレス。設定されていない場合は、スレーブスレッドは起動されません。master.infoファイルに有効な設定がある場合は、master-hostの設定は無視されます。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4)),
                                          'default' : "",
                                          'caption' : u"マスタホスト名：",
                                          'type' : "filename",
                                          'name' : "master-host"
                                        },
                                        {
                                          'description' : u"マスタ及びマスタのbinlogsの中のI/Oレプリケーションスレッドの情報をもつファイルの名前と場所。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "",
                                          'caption' : u"マスタ情報ファイル名：",
                                          'type' : "filename",
                                          'name' : "master-info-file"
                                        },
                                        {
                                          'description' : u"スレーブスレッドがマスタに接続する時の認証のパスワード。設定されていない場合は空白のパスワードが利用されます。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4)),
                                          'default' : "",
                                          'caption' : u"マスタパスワード：",
                                          'type' : "filename",
                                          'name' : "master-password"
                                        },
                                        {
                                          'description' : u"マスタをリッスンするポート番号。設定されていな場合は、MYSQL_PORTのコンパイル設定が利用される。変更されていない場合は、3306です。master.infoが設定されている場合は、その値が優先される。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4)),
                                          'default' : "3306",
                                          'caption' : u"マスタポート",
                                          'type' : "numeric",
                                          'name' : "master-port"
                                        },
                                        {
                                          'description' : u"スレーブがマスタに接続する場合、諦めるまでのリトライ回数。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                          'default' : "",
                                          'caption' : u"マスタリトライ数",
                                          'type' : "filename",
                                          'name' : "master-retry-count"
                                        },
                                        {
                                          'description' : u"SSL接続でスレーブがマスタに接続する。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4)),
                                          'default' : "Unchecked",
                                          'caption' : u"マスタssl",
                                          'type' : "boolean",
                                          'name' : "master-ssl"
                                        },
                                        {
                                          'description' : u"マスタSSL CAファイル。master-sslを有効にした場合のみ利用される。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4)),
                                          'default' : "",
                                          'caption' : u"マスタSSL CAファイル名：",
                                          'type' : "filename",
                                          'name' : "master-ssl-ca"
                                        },
                                        {
                                          'description' : u"マスタSSL CAパス。master-sslを有効にした場合のみ利用される。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4)),
                                          'default' : "",
                                          'caption' : u"マスタSSL CA-パス：",
                                          'type' : "filename",
                                          'name' : "master-ssl-capath"
                                        },
                                        {
                                          'description' : u"マスタSSLサーティフィケートファイル名。master-sslを有効にした場合のみ利用される。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4)),
                                          'default' : "",
                                          'caption' : u"マスタSSL認証ファイル名：",
                                          'type' : "filename",
                                          'name' : "master-ssl-cert"
                                        },
                                        {
                                          'description' : u"マスタSSL暗号。master-sslを有効にした場合のみ利用される。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4)),
                                          'default' : "",
                                          'caption' : u"マスタSSLサイファ：",
                                          'type' : "filename",
                                          'name' : "master-ssl-cipher"
                                        },
                                        {
                                          'description' : u"マスタSSLキーファイル名。master-sslを有効にした場合のみ利用される。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4)),
                                          'default' : "",
                                          'caption' : u"マスタSSLキー：",
                                          'type' : "filename",
                                          'name' : "master-ssl-key"
                                        },
                                        {
                                          'description' : u"スレーブスレッドがマスタに接続する時に使うユーザ名。ユーザはFILE権限が必要。マスタユーザが未設定の場合、ユーザtestが利用される。読める場合は、master.infoの情報が優先される。",
                                          'versions' : ((4, 1), (5, 0), (5, 1), (5, 4)),
                                          'default' : "",
                                          'caption' : u"マスタユーザ名：",
                                          'type' : "filename",
                                          'name' : "master-user"
                                        }
                                      ) #End of controls list in group Slave default connection values
                                    } #End of group Slave default connection values
                                ) # end of groups in tab Replication
                     } # end of tab Replication
  ,  u'その他' : { 'description' : u"分類なし",
                'position' : 12,
                'groups':(  {'caption' : u"その他",
                             'controls':
                               (
                                 {
                                   'description' : " ",
                                   'caption' : "federated",
                                   'versions' : ((5, 1, 26), (5, 4), (5, 5), (6, 0, 7)),
                                   'type' : "numeric",
                                   'name' : "federated"
                                 },
                                 {
                                   'name' : "backup_history_log",
                                   'caption' : "backup_history_log",
                                   'default' : "ON",
                                   'versions' : ((5, 6), (6, 0, 8)),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "backup_history_log_file",
                                   'caption' : "backup_history_log_file",
                                   'default' : "backup_history.log",
                                   'versions' : ((5, 6), (6, 0, 8)),
                                   'type' : "filename",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "backup_progress_log",
                                   'caption' : "backup_progress_log",
                                   'default' : "ON",
                                   'versions' : ((5, 6), (6, 0, 8)),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "backup_progress_log_file",
                                   'caption' : "backup_progress_log_file",
                                   'default' : "backup_progress.log",
                                   'versions' : ((5, 6), (6, 0, 8)),
                                   'type' : "filename",
                                   'description' : " "
                                 },
                                 {
                                   'description' : " ",
                                   'caption' : "backupdir",
                                   'versions' : ((5, 6), (6, 0, 7)),
                                   'type' : "filename",
                                   'name' : "backupdir"
                                 },
                                 {
                                   'description' : " ",
                                   'caption' : "bdb-home",
                                   'versions' : ((4, 1), (5, 0)),
                                   'type' : "filename",
                                   'name' : "bdb-home"
                                 },
                                 {
                                   'name' : "bdb-lock-detect",
                                   'caption' : "bdb-lock-detect",
                                   'versions' : ((4, 1), (5, 0)),
                                   'items' : {"DEFAULT":"DEFAULT", "OLDEST":"OLDEST", "RANDOM":"RANDOM", "YOUNGEST":"YOUNGEST"},
                                   'type' : "dropdownbox",
                                   'description' : " "
                                 },
                                 {
                                   'description' : " ",
                                   'caption' : "bdb-logdir",
                                   'versions' : ((4, 1), (5, 0)),
                                   'type' : "filename",
                                   'name' : "bdb-logdir"
                                 },
                                 {
                                   'name' : "bdb-no-recover",
                                   'caption' : "bdb-no-recover",
                                   'default' : "OFF",
                                   'versions' : ((4, 1), (5, 0)),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "bdb-no-sync",
                                   'caption' : "bdb-no-sync",
                                   'default' : "OFF",
                                   'versions' : ((4, 1),),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "bdb-shared-data",
                                   'caption' : "bdb-shared-data",
                                   'default' : "OFF",
                                   'versions' : ((4, 1), (5, 0)),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'description' : " ",
                                   'caption' : "bdb-tmpdir",
                                   'versions' : ((4, 1), (5, 0)),
                                   'type' : "filename",
                                   'name' : "bdb-tmpdir"
                                 },
                                 {
                                   'name' : "bdb_cache_size",
                                   'caption' : "bdb_cache_size",
                                   'versions' : ((4, 1), (5, 0)),
                                   'minimum' : "20480 ",
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "bdb_max_lock",
                                   'caption' : "bdb_max_lock",
                                   'default' : "10000",
                                   'versions' : ((4, 1), (5, 0)),
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "bdb_log_buffer_size",
                                   'versions' : ((4, 1), (5, 0)),
                                   'maximum' : "4294967295",
                                   'minimum' : "262144",
                                   'caption' : "bdb_log_buffer_size",
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "bootstrap",
                                   'caption' : "bootstrap",
                                   'default' : "OFF",
                                   'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "character-set-client-handshake",
                                   'caption' : "character-set-client-handshake",
                                   'default' : "TRUE",
                                   'versions' : ((4, 1, 15), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'description' : " ",
                                   'caption' : "character-set-filesystem",
                                   'versions' : ((5, 0, 19), (5, 1, 6), (5, 4), (5, 5), (6, 0)),
                                   'type' : "string",
                                   'name' : "character-set-filesystem"
                                 },
                                 {
                                   'description' : " ",
                                   'caption' : "character-set-server",
                                   'versions' : ((4, 1, 3), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                   'type' : "string",
                                   'name' : "character-set-server"
                                 },
                                 {
                                   'description' : " ",
                                   'caption' : "character-sets-dir",
                                   'versions' : ((4, 1, 2), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                   'type' : "filename",
                                   'name' : "character-sets-dir"
                                 },
                                 {
                                   'description' : " ",
                                   'caption' : "collation-server",
                                   'versions' : ((4, 1, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                   'type' : "string",
                                   'name' : "collation-server"
                                 },
                                 {
                                   'caption' : "crash_binlog_innodb",
                                   'description' : " ",
                                   'type' : "string",
                                   'name' : "crash_binlog_innodb",
                                   'versions' : ((4, 1),)
                                 },
                                 {
                                   'name' : "div_precision_increment",
                                   'versions' : ((5, 0, 6), (5, 1), (5, 4), (5, 5), (6, 0)),
                                   'default' : "4",
                                   'maximum' : "30",
                                   'minimum' : "0",
                                   'caption' : "div_precision_increment",
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "enable-locking",
                                   'caption' : "enable-locking",
                                   'default' : "FALSE",
                                   'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'inversion' : "5.0.3",
                                   'name' : "engine-condition-pushdown",
                                   'versions' : ((5, 0, 3), (5, 1), (5, 4), (5, 5), (6, 0)),
                                   'default' : "OFF",
                                   'caption' : "engine-condition-pushdown",
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "event-scheduler",
                                   'versions' : ((5, 1, 6), (5, 4), (5, 5), (6, 0)),
                                   'default' : "OFF",
                                   'items' : {"ON":"ON", "OFF":"OFF", "DISABLED":"DISABLED"},
                                   'caption' : "event-scheduler",
                                   'type' : "dropdownbox",
                                   'description' : " "
                                 },
                                 {
                                   'description' : " ",
                                   'caption' : "exit-info",
                                   'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                   'type' : "numeric",
                                   'name' : "exit-info"
                                 },
                                 {
                                   'name' : "ft_boolean_syntax",
                                   'caption' : "ft_boolean_syntax",
                                   'default' : "+-><()~*:""&",
                                   'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                   'type' : "string",
                                   'description' : " "
                                 },
                                 {
                                   'caption' : "help",
                                   'description' : " ",
                                   'type' : "string",
                                   'name' : "help",
                                   'versions' : ((4, 0, 24), (4, 1, 10), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0))
                                 },
                                 {
                                   'description' : " ",
                                   'caption' : "init_connect",
                                   'versions' : ((4, 1, 2), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                   'type' : "string",
                                   'name' : "init_connect"
                                 },
                                 {
                                   'description' : " ",
                                   'caption' : "init-file",
                                   'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                   'type' : "filename",
                                   'name' : "init-file"
                                 },
                                 {
                                   'description' : " ",
                                   'caption' : "init_slave",
                                   'versions' : ((4, 1, 2), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                   'type' : "string",
                                   'name' : "init_slave"
                                 },
                                 {
                                   'name' : "innodb_extra_dirty_writes",
                                   'caption' : "innodb_extra_dirty_writes",
                                   'default' : "ON",
                                   'versions' : ((5, 4),),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "innodb_max_merged_io",
                                   'caption' : "innodb_max_merged_io",
                                   'default' : "64",
                                   'versions' : ((5, 4),),
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'description' : " ",
                                   'caption' : "innodb_safe_binlog",
                                   'versions' : ((4, 1, 3), (5, 0)),
                                   'type' : "boolean",
                                   'name' : "innodb_safe_binlog"
                                 },
                                 {
                                   'name' : "innodb_thread_concurrency_timer_based",
                                   'caption' : "innodb_thread_concurrency_timer_based",
                                   'default' : "ON",
                                   'versions' : ((5, 4),),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "isam",
                                   'caption' : "isam",
                                   'default' : "FALSE",
                                   'versions' : ((4, 1),),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "join_cache_level",
                                   'versions' : ((6, 0, 9),),
                                   'default' : "1",
                                   'maximum' : "8",
                                   'minimum' : "0",
                                   'caption' : "join_cache_level",
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "large-pages",
                                   'caption' : "large-pages",
                                   'default' : "FALSE",
                                   'versions' : ((5, 0, 3), (5, 1), (5, 4), (5, 5), (6, 0)),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'description' : " ",
                                   'caption' : "lc-messages",
                                   'versions' : ((5, 5),),
                                   'type' : "string",
                                   'name' : "lc-messages"
                                 },
                                 {
                                   'description' : " ",
                                   'caption' : "lc-messages-dir",
                                   'versions' : ((5, 5),),
                                   'type' : "string",
                                   'name' : "lc-messages-dir"
                                 },
                                 {
                                   'name' : "log-backup-output",
                                   'versions' : ((5, 6), (6, 0, 8)),
                                   'default' : "TABLE",
                                   'items' : {"TABLE":"TABLE", "FILE":"FILE", "NONE":"NONE"},
                                   'caption' : "log-backup-output",
                                   'type' : "dropdownbox",
                                   'description' : " "
                                 },
                                 {
                                   'caption' : "log-long-format",
                                   'description' : " ",
                                   'type' : "string",
                                   'name' : "log-long-format",
                                   'versions' : ((4, 1),)
                                 },
                                 {
                                   'name' : "merge",
                                   'caption' : "merge",
                                   'default' : "TRUE",
                                   'versions' : ((4, 1, 21), (5, 0, 24), (5, 1, 12)),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "skip-isam",
                                   'caption' : "skip-isam",
                                   'default' : "OFF",
                                   'versions' : ((4, 1, 1),),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "multi_range_count",
                                   'versions' : ((5, 0, 3), (5, 1), (5, 2)),
                                   'default' : "256",
                                   'maximum' : "4294967295",
                                   'minimum' : "1",
                                   'caption' : "multi_range_count",
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "mutex-deadlock-detector",
                                   'caption' : "mutex-deadlock-detector",
                                   'default' : "TRUE",
                                   'versions' : ((6, 0, 9),),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'caption' : "mysql-backup",
                                   'description' : " ",
                                   'type' : "string",
                                   'name' : "mysql-backup",
                                   'versions' : ((5, 6),)
                                 },
                                 {
                                   'name' : "old-protocol",
                                   'caption' : "old-protocol",
                                   'default' : "FALSE",
                                   'versions' : ((4, 1),),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'description' : " ",
                                   'caption' : "plugin",
                                   'versions' : ((5, 1), (5, 4), (5, 5), (6, 0)),
                                   'type' : "string",
                                   'name' : "plugin"
                                 },
                                 {
                                   'name' : "record_buffer",
                                   'versions' : (),
                                   'default' : "131072",
                                   'maximum' : "4294967295",
                                   'minimum' : "8200",
                                   'caption' : "record_buffer",
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "relay_log_recovery",
                                   'caption' : "relay_log_recovery",
                                   'default' : "FALSE",
                                   'versions' : ((5, 5), (6, 0, 11)),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'description' : " ",
                                   'caption' : "secure-backup-file-priv",
                                   'versions' : ((5, 6), (6, 0), (6, 1, 11)),
                                   'type' : "string",
                                   'name' : "secure-backup-file-priv"
                                 },
                                 {
                                   'description' : " ",
                                   'caption' : "set-variable",
                                   'versions' : ((4, 1), (5, 0)),
                                   'type' : "string",
                                   'name' : "set-variable"
                                 },
                                 {
                                   'name' : "skip-bdb",
                                   'caption' : "skip-bdb",
                                   'default' : "FALSE",
                                   'versions' : ((4, 1), (5, 0)),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'caption' : "skip-merge",
                                   'description' : " ",
                                   'type' : "string",
                                   'name' : "skip-merge",
                                   'versions' : ((5, 0, 24), (5, 1, 12))
                                 },
                                 {
                                   'caption' : "skip-new",
                                   'description' : " ",
                                   'type' : "string",
                                   'name' : "skip-new",
                                   'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0))
                                 },
                                 {
                                   'caption' : "skip-partition",
                                   'description' : " ",
                                   'type' : "string",
                                   'name' : "skip-partition",
                                   'versions' : ((5, 1), (5, 4), (5, 5), (6, 0))
                                 },
                                 {
                                   'caption' : "skip-symlink",
                                   'description' : " ",
                                   'type' : "string",
                                   'name' : "skip-symlink",
                                   'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0))
                                 },
                                 {
                                   'caption' : "skip-sync-bdb-logs",
                                   'description' : " ",
                                   'type' : "string",
                                   'name' : "skip-sync-bdb-logs",
                                   'versions' : ((4, 1), (5, 0))
                                 },
                                 {
                                   'name' : "sql-bin-update-same",
                                   'caption' : "sql-bin-update-same",
                                   'default' : "FALSE",
                                   'versions' : ((4, 1),),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "sync-bdb-logs",
                                   'caption' : "sync-bdb-logs",
                                   'default' : "TRUE",
                                   'versions' : ((4, 1), (5, 0)),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "sync_master_info",
                                   'versions' : ((5, 5), (6, 0, 11)),
                                   'default' : "0",
                                   'bitsize' : "32",
                                   'maximum' : "4294967295",
                                   'minimum' : "0",
                                   'caption' : "sync_master_info",
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "sync_relay_log",
                                   'versions' : ((5, 5), (6, 0, 10)),
                                   'default' : "0",
                                   'bitsize' : "32",
                                   'maximum' : "4294967295",
                                   'minimum' : "0",
                                   'caption' : "sync_relay_log",
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "sync_relay_log_info",
                                   'versions' : ((5, 5), (6, 0, 11)),
                                   'default' : "0",
                                   'bitsize' : "32",
                                   'maximum' : "4294967295",
                                   'minimum' : "0",
                                   'caption' : "sync_relay_log_info",
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "table_lock_wait_timeout",
                                   'versions' : ((5, 0, 10), (5, 1), (5, 4), (6, 0)),
                                   'default' : "50",
                                   'maximum' : "1073741824",
                                   'minimum' : "1",
                                   'caption' : "table_lock_wait_timeout",
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "thread_pool_size",
                                   'versions' : ((6, 0, 4),),
                                   'default' : "20",
                                   'maximum' : "16384",
                                   'minimum' : "1",
                                   'caption' : "thread_pool_size",
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'caption' : "version",
                                   'description' : " ",
                                   'type' : "string",
                                   'name' : "version",
                                   'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (6, 0))
                                 },
                                 {
                                   'name' : "warnings",
                                   'versions' : ((4, 1), (5, 0)),
                                   'default' : "1",
                                   'bitsize' : "32",
                                   'maximum' : "4294967295",
                                   'minimum' : "0",
                                   'caption' : u"警告",
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "debug",
                                   'caption' : "デバッグ",
                                   'default' : "'d:t:o,/tmp/mysqld.trace'",
                                   'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (6, 0)),
                                   'type' : "string",
                                   'description' : " "
                                 },
                                 {
                                   'description' : " ",
                                   'caption' : "default_time_zone",
                                   'versions' : ((4, 1), (5, 0), (5, 1), (5, 4), (5, 5), (6, 0)),
                                   'type' : "string",
                                   'name' : "default_time_zone"
                                 },
                                 {
                                   'caption' : "skip-falcon",
                                   'description' : " ",
                                   'type' : "string",
                                   'name' : "skip-falcon",
                                   'versions' : ((6, 0, 0),)
                                 },
                                 {
                                   'name' : "falcon",
                                   'caption' : "falcon",
                                   'default' : "yes",
                                   'versions' : ((6, 0, 0),),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "falcon_checkpoint_schedule",
                                   'caption' : "falcon_checkpoint_schedule",
                                   'default' : "7 * * * * *",
                                   'versions' : ((6, 0, 2),),
                                   'type' : "string",
                                   'description' : " "
                                 },
                                 {
                                   'caption' : "falcon_debug_mask",
                                   'description' : " ",
                                   'type' : "string",
                                   'name' : "falcon_debug_mask",
                                   'versions' : ((6, 0, 2),)
                                 },
                                 {
                                   'name' : "falcon_debug_server",
                                   'caption' : "falcon_debug_server",
                                   'default' : "OFF",
                                   'versions' : ((6, 0, 2),),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "falcon_disable_fsync",
                                   'caption' : "falcon_disable_fsync",
                                   'default' : "OFF",
                                   'versions' : ((6, 0, 2),),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "falcon_checksums",
                                   'caption' : "falcon_checksums",
                                   'default' : "OFF",
                                   'versions' : ((6, 0, 6),),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'outversion' : "6.0.6",
                                   'name' : "falcon_index_chill_threshold",
                                   'versions' : ((6, 0, 2),),
                                   'default' : "4",
                                   'maximum' : "1024",
                                   'minimum' : "1",
                                   'caption' : "falcon_index_chill_threshold",
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "falcon_initial_allocation",
                                   'versions' : ((6, 0, 2),),
                                   'default' : "0",
                                   'minimum' : "10",
                                   'caption' : "falcon_initial_allocation",
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "falcon_max_transaction_backlog",
                                   'caption' : "falcon_max_transaction_backlog",
                                   'default' : "150",
                                   'versions' : ((6, 0, 2),),
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'outversion' : "6.0.9",
                                   'name' : "falcon_page_cache_size",
                                   'versions' : ((6, 0, 2),),
                                   'default' : "4194304",
                                   'caption' : "falcon_page_cache_size",
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'outversion' : "6.0.5",
                                   'name' : "falcon_page_size",
                                   'versions' : ((6, 0, 2),),
                                   'default' : "4096",
                                   'value' : "32768",
                                   'caption' : "falcon_page_size",
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'outversion' : "6.0.6",
                                   'name' : "falcon_record_chill_threshold",
                                   'versions' : ((6, 0, 2),),
                                   'default' : "5",
                                   'maximum' : "1024",
                                   'minimum' : "1",
                                   'caption' : "falcon_record_chill_threshold",
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'outversion' : "6.0.8",
                                   'name' : "falcon_record_memory_max",
                                   'versions' : ((6, 0, 2),),
                                   'default' : "20",
                                   'caption' : "falcon_record_memory_max",
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'outversion' : "6.0.9",
                                   'name' : "falcon_record_scavenge_floor",
                                   'versions' : ((6, 0, 2),),
                                   'default' : "50",
                                   'maximum' : "90",
                                   'minimum' : "10",
                                   'caption' : "falcon_record_scavenge_floor",
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "falcon_record_scavenge_threshold",
                                   'versions' : ((6, 0, 2),),
                                   'default' : "67",
                                   'maximum' : "100",
                                   'minimum' : "10",
                                   'caption' : "falcon_record_scavenge_threshold",
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "falcon_scavenge_schedule",
                                   'caption' : "falcon_scavenge_schedule",
                                   'default' : "15,45 * * * * *",
                                   'versions' : ((6, 0, 2),),
                                   'type' : "string",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "falcon_serial_log_buffers",
                                   'versions' : ((6, 0, 2),),
                                   'default' : "10",
                                   'maximum' : "1000",
                                   'minimum' : "10",
                                   'caption' : "falcon_serial_log_buffers",
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'description' : " ",
                                   'caption' : "falcon_serial_log_dir",
                                   'versions' : ((6, 0, 2),),
                                   'type' : "filename",
                                   'name' : "falcon_serial_log_dir"
                                 },
                                 {
                                   'name' : "falcon_use_sectorcache",
                                   'caption' : "falcon_use_sectorcache",
                                   'default' : "off",
                                   'versions' : ((6, 0, 6),),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "falcon_use_supernodes",
                                   'caption' : "falcon_use_supernodes",
                                   'default' : "on",
                                   'versions' : ((6, 0, 5),),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "falcon_use_deferred_index_hash",
                                   'caption' : "falcon_use_deferred_index_hash",
                                   'default' : "OFF",
                                   'versions' : ((6, 0, 4),),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "falcon_consistent_read",
                                   'caption' : "falcon_consistent_read",
                                   'default' : "ON",
                                   'versions' : ((6, 0, 4),),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "falcon_gopher_threads",
                                   'versions' : ((6, 0, 4),),
                                   'default' : "5",
                                   'minimum' : "1",
                                   'caption' : "falcon_gopher_threads",
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "falcon_io_threads",
                                   'caption' : "falcon_io_threads",
                                   'default' : "2",
                                   'versions' : ((6, 0, 3),),
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'description' : " ",
                                   'caption' : "falcon_large_blob_threshold",
                                   'versions' : ((6, 0, 4),),
                                   'type' : "numeric",
                                   'name' : "falcon_large_blob_threshold"
                                 },
                                 {
                                   'name' : "falcon_lock_wait_timeout",
                                   'caption' : "falcon_lock_wait_timeout",
                                   'default' : "50",
                                   'versions' : ((6, 0, 4),),
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "falcon_serial_log_priority",
                                   'caption' : "falcon_serial_log_priority",
                                   'default' : "1",
                                   'versions' : ((6, 0, 4),),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'caption' : "maria",
                                   'description' : " ",
                                   'type' : "string",
                                   'name' : "maria",
                                   'versions' : ((6, 0, 6),)
                                 },
                                 {
                                   'name' : "maria-block-size",
                                   'caption' : "maria-block-size",
                                   'default' : "8192",
                                   'versions' : ((6, 0, 6),),
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'caption' : "maria-checkpoint-interval",
                                   'description' : " ",
                                   'type' : "string",
                                   'name' : "maria-checkpoint-interval",
                                   'versions' : ((6, 0, 6),)
                                 },
                                 {
                                   'caption' : "maria-log-dir-path",
                                   'description' : " ",
                                   'type' : "string",
                                   'name' : "maria-log-dir-path",
                                   'versions' : ((6, 0, 6),)
                                 },
                                 {
                                   'name' : "maria-log-file-size",
                                   'versions' : ((6, 0, 6),),
                                   'default' : "1073741824",
                                   'maximum' : "4294967296",
                                   'minimum' : "8388688",
                                   'caption' : "maria-log-file-size",
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "maria-log-purge-type",
                                   'versions' : ((6, 0, 6),),
                                   'default' : "immediate",
                                   'items' : {"at_flush":"at_flush", "immediate":"immediate", "external":"external"},
                                   'caption' : "maria-log-purge-type",
                                   'type' : "dropdownbox",
                                   'description' : " "
                                 },
                                 {
                                   'caption' : "maria-max-sort-file-size",
                                   'description' : " ",
                                   'type' : "string",
                                   'name' : "maria-max-sort-file-size",
                                   'versions' : ((6, 0, 6),)
                                 },
                                 {
                                   'name' : "maria-page-checksum",
                                   'versions' : ((6, 0, 6),),
                                   'default' : "on",
                                   'items' : {"on":"on", "off":"off"},
                                   'caption' : "maria-page-checksum",
                                   'type' : "dropdownbox",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "maria-pagecache-age-threshold",
                                   'caption' : "maria-pagecache-age-threshold",
                                   'default' : "300",
                                   'versions' : ((6, 0, 6),),
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "maria-pagecache-buffer-size",
                                   'caption' : "maria-pagecache-buffer-size",
                                   'default' : "8388608",
                                   'versions' : ((6, 0, 6),),
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "maria-pagecache-division-limit",
                                   'caption' : "maria-pagecache-division-limit",
                                   'default' : "100",
                                   'versions' : ((6, 0, 6),),
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "maria-repair-threads",
                                   'caption' : "maria-repair-threads",
                                   'default' : "1",
                                   'versions' : ((6, 0, 6),),
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "maria-sort-buffer-size",
                                   'caption' : "maria-sort-buffer-size",
                                   'default' : "8388608",
                                   'versions' : ((6, 0, 6),),
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "maria-stats-method",
                                   'versions' : ((6, 0, 6),),
                                   'default' : "nulls_unequal",
                                   'items' : {"nulls_unequal":"nulls_unequal", "nulls_equal":"nulls_equal", "nulls_ignored":"nulls_ignored"},
                                   'caption' : "maria-stats-method",
                                   'type' : "dropdownbox",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "maria-sync-log-dir",
                                   'versions' : ((6, 0, 6),),
                                   'default' : "newfile",
                                   'items' : {"never":"never", "newfile":"newfile", "always":"always"},
                                   'caption' : "maria-sync-log-dir",
                                   'type' : "dropdownbox",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "maria-force-start-after-recovery-failures",
                                   'caption' : "maria-force-start-after-recovery-failures",
                                   'default' : "0",
                                   'versions' : ((6, 0, 6),),
                                   'type' : "numeric",
                                   'description' : " "
                                 },
                                 {
                                   'name' : "maria-recover",
                                   'caption' : "maria-recover",
                                   'default' : "off",
                                   'versions' : ((6, 0, 6),),
                                   'type' : "boolean",
                                   'description' : " "
                                 },
                                 {
                                   'description' : " ",
                                   'caption' : "falcon_support_xa",
                                   'versions' : ((6, 0, 4),),
                                   'type' : "boolean",
                                   'name' : "falcon_support_xa"
                                 }
                               ) #End of controls list in group Misc
                             } #End of group Misc
                           ,                         ) # end of groups in tab Misc
              } # end of tab Misc

} #End of opts_list
